﻿
local AceLocale = AceLibrary("AceLocale-2.2"):new("AckisRecipeList");

AceLocale:RegisterTranslations("enUS", function() 
    return
	{
		-- Localizations needed:
		--	- Beast Training
		--	- Black smiting
		--	- Jewelcrafting
		--	- Leatherworking
		--	- Tailoring

		-- Command params
		["SCAN"] = "Starts the recipe scan, displaying information in the chat window.",
		["GUISCAN"] = "Starts the recipe scan, displaying information in a seperate window. Currently in development, use at your own risk.",
		["ARL_CONFIG_HEADER"] = "Ackis Recipe List Configuration",
		["DISPLAY_OPTIONS"] = "Recipe Scan Display Options",
		["FACTION_TOGGLE"] = "Include all faction recipes in scan.",
		["CLASS_TOGGLE"] = "Include all class recipes in scan.",
		["SPECIALITY_TOGGLE"] = "Include all tradeskill specialities in scan.",
		["RAID_TOGGLE"] = "Include hard to get raid recipes in scan.",
		["SKILL_TOGGLE"] = "Include all skill levels of recipes in scan.",
		["SORT_OPTIONS"] = "How to sort recipes.",
		["SORT_Name"] = "Name", 
		["SORT_Skill"] = "Skill",
		["SORT_Unsorted"] = "Unsorted",
		["LONG_COMMAND"] = "/AckisRecipeList",
		["SHORT_COMMAND"] = "/arl",

		-- Non-gui text
		["MissingFromDB"] = ": is is missing from the database. \nPlease inform the author of the add-on about this recipe.",
		["MissingRecipePrefix"] = "Missing Recipe: ",
		["MissingRecipe"] = "%s [%s].",
		["MissingRecipeAcquire"] = "\n    - %s",
		["InitiateScan"] = "Scanning %s for missing recipes at skill level %s .\n",
		["RecipeListSummary"] = "\nYou know %s out of %s total recipes (%s%%).\nYou are missing %s recipes.",
		["UnknownTradeSkill"] = "You have opened up a trade skill window which is not supported by this add-on.  The trade skill is %s.  Please provide the author of the add-on with this information.",

		-- Recipe Database
		["Trainer"] = true,
		["UWD"] = "Uncommon World Drop",
		["RWD"] = "Rare World Drop",
		["EWD"] = "Epic World Drop",
		["Vendor"] = true,
		["Discovery"] = true,
		["PVP"] = true,
		["Raid"] = true,
		["Beast Training"] = true,
		["REPUTATIONOUTPUT1"] = "%s: %s",
		["REPUTATIONOUTPUT2"] = "(A) %s: %s\n    - (H) %s: %s",
		["DMCACHE"] = "Knot Thimblejack's Cache, Dire Maul North",
		["MOLTENCORE"] = "BoP Mob Drop: Random bosses in MC.",
		["AQ20/AQ40"] = "",
		["SSC/TK"] = "BoP Mob Drop: Random bosses and mobs in SSC/TK.",
		["BT/HYJAL"] = "BoP Mob Drop: Random bosses and mobs in Hyjal/BT.",

		-- Faction info
		["WintersVeil"] = "Feast of Winters Veil",
		["Lunar Festival"] = "Lunar Festival",
		["Seasonal"] = true,
		
		-- Alchemy Recipes
		-- Original Game Recipes
		["Minor Healing Potion"] = true,
		["Elixir of Lion's Strength"] = true,
		["Elixir of Minor Defense"] = true,
		["Weak Troll's Blood Potion"] = true,
		["Minor Mana Potion"] = true,
		["Minor Rejuvenation Potion"] = true,
		["Elixir of Minor Agility"] = true,
		["Discolored Healing Potion"] = true,
		["Elixir of Minor Fortitude"] = true,
		["Lesser Healing Potion"] = true,
		["Rage Potion"] = true,
		["Swiftness Potion"] = true,
		["Blackmouth Oil"] = true,
		["Elixir of Wisdom"] = true,
		["Elixir of Water Breathing"] = true,
		["Elixir of Giant Growth"] = true,
		["Holy Protection Potion"] = true,
		["Swim Speed Potion"] = true,
		["Minor Magic Resistance Potion"] = true,
		["Healing Potion"] = true,
		["Lesser Mana Potion"] = true,
		["Potion of Curing"] = true,
		["Strong Troll's Blood Potion"] = true,
		["Elixir of Defense"] = true,
		["Fire Oil"] = true,
		["Shadow Protection Potion"] = true,
		["Elixir of Lesser Agility"] = true,
		["Elixir of Firepower"] = true,
		["Elixir of Ogre's Strength"] = true,
		["Free Action Potion"] = true,
		["Greater Healing Potion"] = true,
		["Mana Potion"] = true,
		["Lesser Invisibility Potion"] = true,
		["Shadow Oil"] = true,
		["Fire Protection Potion"] = true,
		["Elixir of Fortitude"] = true,
		["Great Rage Potion"] = true,
		["Mighty Troll's Blood Potion"] = true,
		["Elixir of Agility"] = true,
		["Frost Protection Potion"] = true,
		["Nature Protection Potion"] = true,
		["Elixir of Frost Power"] = true,
		["Elixir of Detect Lesser Invisibility"] = true,
		["Elixir of Greater Defense"] = true,
		["Frost Oil"] = true,
		["Catseye Elixir"] = true,
		["Oil of Immolation"] = true,
		["Greater Mana Potion"] = true,
		["Magic Resistance Potion"] = true,
		["Goblin Rocket Fuel"] = true,
		["Lesser Stoneshield Potion"] = true,
		["Restorative Potion"] = true,
		["Superior Healing Potion"] = true,
		["Elixir of Greater Water Breathing"] = true,
		["Wildvine Potion"] = true,
		["Philosopher's Stone"] = true,
		["Transmute: Iron to Gold"] = true,
		["Transmute: Mithril to Truesilver"] = true,
		["Elixir of Detect Undead"] = true,
		["Dreamless Sleep Potion"] = true,
		["Arcane Elixir"] = true,
		["Invisibility Potion"] = true,
		["Elixir of Greater Intellect"] = true,
		["Gift of Arthas"] = true,
		["Elixir of Greater Agility"] = true,
		["Elixir of Dream Vision"] = true,
		["Elixir of Giants"] = true,
		["Ghost Dye"] = true,
		["Elixir of Shadow Power"] = true,
		["Elixir of Demonslaying"] = true,
		["Elixir of Detect Demon"] = true,
		["Stonescale Oil"] = true,
		["Limited Invulnerability Potion"] = true,
		["Elixir of Greater Firepower"] = true,
		["Mighty Rage Potion"] = true,
		["Superior Mana Potion"] = true,
		["Elixir of Superior Defense"] = true,
		["Elixir of the Sages"] = true,
		["Transmute: Arcanite"] = true,
		["Major Healing Potion"] = true,
		["Elixir of Brute Force"] = true,
		["Transmute: Air to Fire"] = true,
		["Transmute: Earth to Water"] = true,
		["Transmute: Earth to Life"] = true,
		["Transmute: Fire to Earth"] = true,
		["Transmute: Undeath to Water"] = true,
		["Transmute: Water to Air"] = true,
		["Transmute: Water to Undeath"] = true,
		["Transmute: Life to Earth"] = true,
		["Mageblood Potion"] = true,
		["Greater Dreamless Sleep Potion"] = true,
		["Greater Stoneshield Potion"] = true,
		["Elixir of the Mongoose"] = true,
		["Purification Potion"] = true,
		["Greater Arcane Elixir"] = true,
		["Living Action Potion"] = true,
		["Greater Fire Protection Potion"] = true,
		["Greater Frost Protection Potion"] = true,
		["Greater Nature Protection Potion"] = true,
		["Greater Arcane Protection Potion"] = true,
		["Greater Shadow Protection Potion"] = true,
		["Major Troll's Blood Potion"] = true,
		["Major Mana Potion"] = true,
		["Flask of Petrification"] = true,
		["Flask of the Titans"] = true,
		["Flask of Distilled Wisdom"] = true,
		["Flask of Supreme Power"] = true,
		["Flask of Chromatic Resistance"] = true,
		["Major Rejuvenation Potion"] = true,
		["Transmute: Elemental Fire"] = true,
		["Gurubashi Mojo Madness"] = true,

		-- Burning Crusade Recipes
		["Adept's Elixir"] = true,
		["Onslaught Elixir"] = true,
		["Volatile Healing Potion"] = true,
		["Elixir of Camouflage"] = true,
		["Elixir of Major Strength"] = true,
		["Elixir of Healing Power"] = true,
		["Elixir of Major Fortitude"] = true,
		["Unstable Mana Potion"] = true,
		["Sneaking Potion"] = true,
		["Elixir of Mastery"] = true,
		["Elixir of Draenic Wisdom"] = true,
		["Elixir of Major Frost Power"] = true,
		["Insane Strength Potion"] = true,
		["Earthen Elixir"] = true,
		["Elixir of the Searching Eye"] = true,
		["Mercurial Stone"] = true,
		["Super Healing Potion"] = true,
		["Elixir of Major Agility"] = true,
		["Elixir of Ironskin"] = true,
		["Shrouding Potion"] = true,
		["Fel Strength Elixir"] = true,
		["Super Mana Potion"] = true,
		["Elixir of Major Firepower"] = true,
		["Elixir of Major Defense"] = true,
		["Fel Regeneration Potion"] = true,
		["Elixir of Major Shadow Power"] = true,
		["Major Dreamless Sleep Potion"] = true,
		["Heroic Potion"] = true,
		["Haste Potion"] = true,
		["Destruction Potion"] = true,
		["Transmute: Primal Air to Fire"] = true,
		["Transmute: Primal Earth to Water"] = true,
		["Transmute: Primal Fire to Earth"] = true,
		["Transmute: Primal Water to Air"] = true,
		["Transmute: Primal Might"] = true,
		["Transmute: Earthstorm Diamond"] = true,
		["Transmute: Skyfire Diamond"] = true,
		["Alchemist's Stone"] = true,
		["Elixir of Major Mageblood"] = true,
		["Major Arcane Protection Potion"] = true,
		["Major Fire Protection Potion"] = true,
		["Major Frost Protection Potion"] = true,
		["Major Holy Protection Potion"] = true,
		["Major Nature Protection Potion"] = true,
		["Major Shadow Protection Potion"] = true,
		["Fel Mana Potion"] = true,
		["Elixir of Empowerment"] = true,
		["Ironshield Potion"] = true,
		["Flask of Chromatic Wonder"] = true,

		-- Burning Crusade Discovery Recipes
		["Transmute: Primal Fire to Mana"] = true,
		["Transmute: Primal Shadow to Water"] = true,
		["Transmute: Primal Life to Earth"] = true,
		["Transmute: Primal Earth to Life"] = true,
		["Transmute: Primal Mana to Fire"] = true,
		["Transmute: Primal Water to Shadow"] = true,
		["Flask of Fortification"] = true,
		["Flask of Mighty Restoration"] = true,
		["Flask of Relentless Assault"] = true,
		["Flask of Blinding Light"] = true,
		["Flask of Pure Death"] = true,
		["Super Rejuvenation Potion"] = true,
		["Cauldron of Major Arcane Protection"] = true,
		["Cauldron of Major Fire Protection"] = true,
		["Cauldron of Major Frost Protection"] = true,
		["Cauldron of Major Nature Protection"] = true,
		["Cauldron of Major Shadow Protection"] = true,

		-- Alchemy Obtain Information
		["Discolored Healing Potion Obt"] = "Quest Reward: Wild Hearts",
		["Mighty Trolls Blood Potion Obt"] = "Common World Drop\n    - Talk to Henry Stern in RFD",
		["Lesser Stoneshield Potion Obt"] = "Quest Reward: Liquid Stone",
		["Restorative Potion Obt"] = "Quest Reward: Uldaman Reagent Run quest (automatically trained)",
		["Wildvine Potion Obt"] = "BoE Mob Drop: Trolls in STV and Hinterlands",
		["Gift of Arthas Obt"] = "BoE Mob Drop: Skeletal Flayer, Slavering Ghoul, WPL",
		["Elixir of Greater Firepower Obt"] = "BoE Mob Drop: Dark Iron Slaver, Dark Iron Watchman, Dark Iron Taskmaster, Searing Gorge",
		["Mighty Rage Potion Obt"] = "BoE Mob Drop: Blackrock Slayer, Burning Steppes",
		["Elixir of the Sages Obt"] = "BoE Mob Drop: Scarlet Enchanter, Scarlet Cleric, Scarlet Curate, Scarlet Archmage, Scarlet Inquisitor, EPL",
		["Elixir of Brute Force Obt"] = "Turn in Bloodpetal Sprouts for the Dadanga is Hungry quest in Un'Goro Crater.",
		["Elixir of the Mongoose Obt"] = "BoE Mob Drop: Jadefire Rogue, Felwood, Legashi Rogue, Azshara",
		["Greater Fire Protection Potion Obt"] = "BoE Mob Drop: Firebrand Invoker, Firebrand Pyromance, LBRS",
		["Greater Frost Protection Potion Obt"] = "BoE Mob Drop: Frostmaul Giants, Winterspring",
		["Greater Nature Protection Potion Obt"] = "BoE Mob Drop: Decaying Horror, Rotting Behemoths, WPL",
		["Greater Arcane Protection Potion Obt"] = "BoE Mob Drop: Cobalt Mageweavers, Winterspring",
		["Greater Shadow Protection Potion Obt"] = "BoE Mob Drop: Dark Adepts, Shadowmages, EPL",
		["Major Mana Potion Obt"] = "Quest Reward: Kirtonos the Herald or BoP Mob Drop: Darkmaster Gandling, Scholomance",
		["Flask of the Titans Obt"] = "BoE Mob Drop: General Drakkisath, UBRS",
		["Flask of Distilled Wisdom Obt"] = "BoE Mob Drop: Balnazzar, Stratholme",
		["Flask of Supreme Power Obt"] = "BoE Mob Drop: Ras Frostwhisper",
		["Flask of Chromatic Resistance Obt"] = "BoE Mob Drop: Gyth, UBRS",
		["Gurubashi Mojo Madness Obt"] = "You can learn this by clicking on a stone table in Zul'Gurub in the Edge of Madness",
		["Fel Strength Elixir Obt"] = "BoP Mob Drop: Mo'arg Weaponsmiths, Terrormasters, Wrathwalkers, and Shadow Council Warlocks, SMV",
		["Fel Regeneration Potion Obt"] = "BoP Mob Drop: Deathforge Imp, Deathforge Guardian, Deathforge Smith, Deathforge Tinkere, SMV",
		["Major Arcane Protection Potion Obt"] = "BoP Mob Drop: Vir'aani Arcanists, Nagrand",
		["Major Fire Protection Potion Obt"] = "BoP Mob Drop: Sunseeker Astromages, The Mechanar",
		["Major Frost Protection Potion Obt"] = "BoP Mob Drop: Nexus-Prince Shaffar, Mana Tombs",
		["Major Holy Protection Potion Obt"] = "BoP Mob Drop: Abyssal Flamebringers, Blade's Edge",
		["Major Shadow Protection Potion Obt"] = "BoP Mob Drop: Shadow Council Warlock, SMV",
		["Fel Mana Potion Obt"] = "BoP Mob Drop: Eclipsion Soldier, Eclipsion Bloodward, Eclipsion Blood Knight, Eclipsion Spellbinder, Eclipsion Archmage, Eclipsion Centurion, Eclipsion Cavalier, Torloth the Magnificient, Illidari Watcher, SMV",
		["Ironshield Potion Obt"] = "BoP Mob Drop: Captain Skarloc, Old Hillsbrad Foothills",
		["Discovery - Transmutes"] = true,
		["Discovery - Flasks/Potions"] = true,
		["Discovery - Protection Potions"] = true,

		-- Beast Training Skills
		["Arcane Resistance (Rank 1)"] = true,
		["Arcane Resistance (Rank 2)"] = true,
		["Arcane Resistance (Rank 3)"] = true,
		["Arcane Resistance (Rank 4)"] = true,
		["Arcane Resistance (Rank 5)"] = true,
		["Avoidance (Rank 1)"] = true,
		["Avoidance (Rank 2)"] = true,
		["Cobra Reflexes ()"] = true,
		["Fire Resistance (Rank 1)"] = true,
		["Fire Resistance (Rank 2)"] = true,
		["Fire Resistance (Rank 3)"] = true,
		["Fire Resistance (Rank 4)"] = true,
		["Fire Resistance (Rank 5)"] = true,
		["Frost Resistance (Rank 1)"] = true,
		["Frost Resistance (Rank 2)"] = true,
		["Frost Resistance (Rank 3)"] = true,
		["Frost Resistance (Rank 4)"] = true,
		["Frost Resistance (Rank 5)"] = true,
		["Great Stamina (Rank 1)"] = true,
		["Great Stamina (Rank 2)"] = true,
		["Great Stamina (Rank 3)"] = true,
		["Great Stamina (Rank 4)"] = true,
		["Great Stamina (Rank 5)"] = true,
		["Great Stamina (Rank 6)"] = true,
		["Great Stamina (Rank 7)"] = true,
		["Great Stamina (Rank 8)"] = true,
		["Great Stamina (Rank 9)"] = true,
		["Great Stamina (Rank 10)"] = true,
		["Great Stamina (Rank 11)"] = true,
		["Natural Armor (Rank 1)"] = true,
		["Natural Armor (Rank 2)"] = true,
		["Natural Armor (Rank 3)"] = true,
		["Natural Armor (Rank 4)"] = true,
		["Natural Armor (Rank 5)"] = true,
		["Natural Armor (Rank 6)"] = true,
		["Natural Armor (Rank 7)"] = true,
		["Natural Armor (Rank 8)"] = true,
		["Natural Armor (Rank 9)"] = true,
		["Natural Armor (Rank 10)"] = true,
		["Natural Armor (Rank 11)"] = true,
		["Nature Resistance (Rank 1)"] = true,
		["Nature Resistance (Rank 2)"] = true,
		["Nature Resistance (Rank 3)"] = true,
		["Nature Resistance (Rank 4)"] = true,
		["Nature Resistance (Rank 5)"] = true,
		["Shadow Resistance (Rank 1)"] = true,
		["Shadow Resistance (Rank 2)"] = true,
		["Shadow Resistance (Rank 3)"] = true,
		["Shadow Resistance (Rank 4)"] = true,
		["Shadow Resistance (Rank 5)"] = true,
		["Bite (Rank 1)"] = true,
		["Bite (Rank 2)"] = true,
		["Bite (Rank 3)"] = true,
		["Bite (Rank 4)"] = true,
		["Bite (Rank 5)"] = true,
		["Bite (Rank 6)"] = true,
		["Bite (Rank 7)"] = true,
		["Bite (Rank 8)"] = true,
		["Bite (Rank 9)"] = true,
		["Claw (Rank 1)"] = true,
		["Claw (Rank 2)"] = true,
		["Claw (Rank 3)"] = true,
		["Claw (Rank 4)"] = true,
		["Claw (Rank 5)"] = true,
		["Claw (Rank 6)"] = true,
		["Claw (Rank 7)"] = true,
		["Claw (Rank 8)"] = true,
		["Claw (Rank 9)"] = true,
		["Charge (Rank 1)"] = true,
		["Charge (Rank 2)"] = true,
		["Charge (Rank 3)"] = true,
		--["Charge (Rank 4)"] = true, -- No charge rank 4 in the game
		["Charge (Rank 5)"] = true,
		["Charge (Rank 6)"] = true,
		["Cower (Rank 1)"] = true,
		["Cower (Rank 2)"] = true,
		["Cower (Rank 3)"] = true,
		["Cower (Rank 4)"] = true,
		["Cower (Rank 5)"] = true,
		["Cower (Rank 6)"] = true,
		["Cower (Rank 7)"] = true,
		["Dash (Rank 1)"] = true,
		["Dash (Rank 2)"] = true,
		["Dash (Rank 3)"] = true,
		["Dive (Rank 1)"] = true,
		["Dive (Rank 2)"] = true,
		["Dive (Rank 3)"] = true,
		["Fire Breath (Rank 1)"] = true,
		["Fire Breath (Rank 2)"] = true,
		["Furious Howl (Rank 1)"] = true,
		["Furious Howl (Rank 2)"] = true,
		["Furious Howl (Rank 3)"] = true,
		["Furious Howl (Rank 4)"] = true,
		["Gore (Rank 1)"] = true,
		["Gore (Rank 2)"] = true,
		["Gore (Rank 3)"] = true,
		["Gore (Rank 4)"] = true,
		["Gore (Rank 5)"] = true,
		["Gore (Rank 6)"] = true,
		["Gore (Rank 7)"] = true,
		["Gore (Rank 8)"] = true,
		["Gore (Rank 9)"] = true,
		["Growl (Rank 1)"] = true,
		["Growl (Rank 2)"] = true,
		["Growl (Rank 3)"] = true,
		["Growl (Rank 4)"] = true,
		["Growl (Rank 5)"] = true,
		["Growl (Rank 6)"] = true,
		["Growl (Rank 7)"] = true,
		["Growl (Rank 8)"] = true,
		["Lightning Breath (Rank 1)"] = true,
		["Lightning Breath (Rank 2)"] = true,
		["Lightning Breath (Rank 3)"] = true,
		["Lightning Breath (Rank 4)"] = true,
		["Lightning Breath (Rank 5)"] = true,
		["Lightning Breath (Rank 6)"] = true,
		["Poison Spit (Rank 1)"] = true,
		["Poison Spit (Rank 2)"] = true,
		["Poison Spit (Rank 3)"] = true,
		["Prowl (Rank 1)"] = true,
		["Prowl (Rank 2)"] = true,
		["Prowl (Rank 3)"] = true,
		["Scorpid Poison (Rank 1)"] = true,
		["Scorpid Poison (Rank 2)"] = true,
		["Scorpid Poison (Rank 3)"] = true,
		["Scorpid Poison (Rank 4)"] = true,
		["Scorpid Poison (Rank 5)"] = true,
		["Screech (Rank 1)"] = true,
		["Screech (Rank 2)"] = true,
		["Screech (Rank 3)"] = true,
		["Screech (Rank 4)"] = true,
		["Screech (Rank 5)"] = true,
		["Shell Shield (Rank 1)"] = true,
		["Thunderstomp (Rank 1)"] = true,
		["Thunderstomp (Rank 2)"] = true,
		["Thunderstomp (Rank 3)"] = true,
		["Warp (Rank 1)"] = true,

		-- Beast Training Obtain Information
		["Bite (Rank 1) Obt"] = "Ragged Scavenger (2-3, Tirisfal Glades)\n    - Night Web Spider (3-4, Tirisfal Glades)\n    - Forest Spider (5-6, Elwynn Forest)\n    - Githyiss the Vile (5, Teldrassil)\n    - Night Web Matriarch (5, Tirisfal Glades)\n    - Prairie Wolf (5-6, Mulgore)\n    - Snow Tracker Wolf (6-7, Dun Morogh)\n    - Gray Forest Wolf (7-8, Elwynn Forest)\n    - Prairie Stalker (7-8, Mulgore)\n    - Webwood Venomfang (7-8, Teldrassil)\n    - Winter Wolf (7-8, Dun Morogh)\n    - Dreadmaw Crocolisk (9-11, Durotar)",
		["Bite (Rank 2) Obt"] = "Starving Winter Wolf (8-9, Dun Morogh)\n    - Webwood Silkspinner (8-9, Teldrassil)\n    - Prairie Wolf Alpha (9-10, Mulgore)\n    - Prowler (9-10, Elwynn Forest)\n    - Ravager Specimen (9-10, Azuremyst Isle)\n    - Vicious Night Web Spider (9-10, Tirisfal Glades)\n    - Coyote (10-11, Westfall)\n    - Forest Lurker (10-11, Loch Modan)\n    - Giant Webwood Spider (10-11, Teldrassil)\n    - Timber (10 Rare, Dun Morogh)\n    - Worg (10-11, Silverpine Forest)\n    - Coyote Packleader (11-12, Westfall)\n    - Lady Sathrah (12, Teldrassil)\n    - Loch Crocolisk (14-15, Loch Modan)\n    - Oasis Snapjaw (15-16, The Barrens)\n    - Tarantula (15-16, Redridge Mountains)",
		["Bite (Rank 3) Obt"] = "Bloodsnout Worg (16-17, Silverpine Forest)\n    - Deepmoss Creeper (16-17, Stonetalon Mountains)\n    - Ghostclaw Ravager (16-17, Ghostlands)\n    - Wood Lurker (17-18, Loch Modan)\n    - Deviate Crocolisk (18-19, The Wailing Caverns)\n    - Deepmoss Webspinner (19-20, Stonetalon Mountains)\n    - Ghostpaw Runner (19-20, Ashenvale)\n    - Greater Tarantula (19-20, Redridge Mountains)\n    - Shanda the Spinner (19 Rare, Loch Modan)\n    - Forest Moss Creeper (20-21, Hillsbrad Foothills)\n    - Kresh (20 Elite, The Wailing Caverns)\n    - Besseleth (21 Elite, Stonetalon Mountains)\n    - Green Recluse (21-22, Duskwood)\n    - Large Loch Crocolisk (22 Rare, Loch Modan)\n    - Aku'mai Fisher (23-24 Elite, Blackfathom Deeps)\n    - Chatter (23 Rare, Redridge Mountains)\n    - Lupos (23 Rare, Duskwood)\n    - Creepthess (24 Rare, Hillsbrad Foothills)",
		["Bite (Rank 4) Obt"] = "Black Ravager (24-25, Duskwood)\n    - Giant Moss Creeper (24-25, Hillsbrad Foothills)\n    - Leech Widow (24 Rare, Wetlands)\n    - Black Ravager Mastiff (25-26, Duskwood)\n    - Ghamoo-ra (25 Elite, Blackfathom Deeps)\n    - Giant Wetlands Crocolisk (25-26, Wetlands)\n    - Aku'mai Snapjaw (26-27 Elite, Blackfathom Deeps)\n    - Elder Moss Creeper (26-27, Hillsbrad Foothills)\n    - Ghostpaw Alpha (27-28, Ashenvale)\n    - Naraxis (27 Rare, Duskwood)\n    - Wildthorn Lurker (28-29, Ashenvale)\n    - Snapjaw (30-31, Hillsbrad Foothills)",
		["Bite (Rank 5) Obt"] = "Plains Creeper (32-33, Arathi Highlands)\n    - Sparkleshell Snapper (34-35, Thousand Needles)\n    - Crag Coyote (35-36, Badlands)\n    - Darkfang Spider (35-36, Dustwallow Marsh)\n    - Drywallow Crocolisk (35-36, Dustwallow Marsh)\n    - Giant Plains Creeper (35-36, Arathi Highlands)\n    - Darkfang Lurker (36-37, Dustwallow Marsh)\n    - Mudrock Tortoise (36-37, Dustwallow Marsh)\n    - Darkfang Creeper (38-39, Dustwallow Marsh)\n    - Mottled Drywallow Crocolisk (38-39, Dustwallow Marsh)",
		["Bite (Rank 6) Obt"] = "Barnabus (38 Rare, Badlands)\n    - Ripscale (39 Rare, Dustwallow Marsh)\n    - Deathstrike Tarantula (40-41, Swamp of Sorrows)\n    - Drywallow Daggermaw (40-41 Elite, Dustwallow Marsh)\n    - Longtooth Runner (40-41, Feralas)\n    - Mudrock Snapjaw (41-42, Dustwallow Marsh)\n    - Sawtooth Snapper (41-42, Swamp of Sorrows)\n    - Old Cliff Jumper (42 Rare, The Hinterlands)\n    - Snarler (42 Rare, Feralas)\n    - Deadmire (45, Dustwallow Marsh)\n    - Felpaw Wolf (47-48, Felwood)\n    - Timberweb Recluse (47-48, Azshara)\n    - Death Howl (49 Rare, Felwood)",
		["Bite (Rank 7) Obt"] = "Rekk'tilac (48 Rare, Searing Gorge)\n    - Saltwater Snapjaw (49-50, The Hinterlands)\n    - Cave Creeper (50-52, Blackrock Depths)\n    - Vilebranch Raiding Wolf (50-51 Elite, The Hinterlands)\n    - Felpaw Ravager (51-52, Felwood)\n    - Ironback (51 Rare, The Hinterlands)\n    - Uhk'loc (52-53 Rare, Un'Goro Crater)\n    - Diseased Wolf (53-54, Western Plaguelands)\n    - Plague Lurker (54-55, Western Plaguelands)",
		["Bite (Rank 8) Obt"] = "Bloodaxe Worg (56-57, Blackrock Spire)\n    - Quillfang Ravager (62-63, Hellfire Peninsula)\n    - Thornfang Venomspitter (62-63, Hellfire Peninsula)\n    - Dreadfang Lurker (63-64, Terokkar Forest)",
		["Bite (Rank 9) Obt"] = "Dreadfang Widow (64-65, Terokkar Forest)\n    - Rema (66, Blade's Edge Mountains)",
		["Claw (Rank 1) Obt"] = "Scorpid Worker (3, Durotar)\n    - Sarkoth (4, Durotar)\n    - Pygmy Surf Crawler (5-6, Durotar)\n    - Strigid Owl (5-6, Teldrassil)\n    - Ice Claw Bear (7-8, Dun Morogh)",
		["Claw (Rank 2) Obt"] = " Elder Springpaw (8-9, Eversong Woods)\n    - Strigid Hunter (8-9, Teldrassil)\n    - Young Forest Bear (8-9, Elwynn Forest)\n    - Encrusted Surf Crawler (9-10, Durotar)\n    - Venomtail Scorpid (9-10, Durotar)\n    - Death Flayer (11 Rare, Durotar)\n    - Ferocious Grizzled Bear (11-12, Silverpine Forest)\n    - Mangeclaw (11, Dun Morogh)\n    - Thistle Bear (11-12, Darkshore)\n    - Bjarn (12 Rare, Dun Morogh)\n    - Tide Crawler (12-14, Darkshore)\n    - Ghostclaw Lynx (13-14, Ghostlands)",
		["Claw (Rank 3) Obt"] = "Black Bear Patriarch (16-17, Loch Modan)\n    - Ghostclaw Ravager (16-17, Ghostlands)\n    - Shore Crawler (17-18, Westfall)\n    - Den Mother (18-19, Darkshore)\n    - Clattering Crawler (19-20, Ashenvale)\n    - Ghost Saber (19-20 Spawned, Darkshore)\n    - Ol' Sooty (20 Elite, Loch Modan)\n    - Ashenvale Bear (21-22, Ashenvale)\n    - Gray Bear (21-22, Hillsbrad Foothills)\n    - Skittering Crustacean (22-23 Elite, Blackfathom Deeps)\n    - Snapping Crustacean (23-24 Elite, Blackfathom Deeps)",
		["Claw (Rank 4) Obt"] = "Barbed Crustacean (25-26 Elite, Blackfathom Deeps)\n    - Elder Ashenvale Bear (25-26, Ashenvale)\n    - Scorpashi Snapper (30-31, Desolace)\n    - Scorpid Reaver (31-32, Thousand Needles)",
		["Claw (Rank 5) Obt"] = "Scorpashi Lasher (34-35, Desolace)\n    - Vile Sting (35 Rare, Thousand Needles)\n    - Drywallow Snapper (37-38, Dustwallow Marsh)\n    - Venomlash Scorpid (39-40 Elite, Uldaman)",
		["Claw (Rank 6) Obt"] = "Scorpid Hunter (40-41, Tanaris)\n    - Silt Crawler (40-41, Swamp of Sorrows)\n    - Ironfur Bear (41-42, Feralas)\n    - King Bangalash (43 Elite, Stranglethorn Vale)\n    - Monstrous Crawler (43-44, Swamp of Sorrows)\n    - Old Grizzlegut (43 Rare, Feralas)",
		["Claw (Rank 7) Obt"] = "Ironfur Patriarch (48-49, Feralas)\n    - Angerclaw Mauler (49-50, Felwood)\n    - Ironbeak Hunter (50-51, Felwood)\n    - Mongress (50 Rare, Felwood)\n    - Olm the Wise (52 Rare, Felwood)\n    - Clack the Reaver (53 Rare, Blasted Lands)\n    - Shardtooth Bear (53-54, Winterspring)\n    - Deathlash Scorpid (54-55, Burning Steppes)\n    - Winterspring Owl (54-56, Winterspring)\n    - Diseased Grizzly (55-56, Western Plaguelands)",
		["Claw (Rank 8) Obt"] = "Elder Shardtooth (57-58, Winterspring)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Male Kaliri Hatchling (61, Hellfire Peninsula)\n    - Female Kaliri Hatchling (62, Hellfire Peninsula)",
		["Claw (Rank 9) Obt"] = "Scorpid Bonecrawler (64-65, Terokkar Forest)\n    - Ravenous Windroc (65-66, Nagrand)\n    - Windroc Hunter (65, Nagrand)\n    - Greater Windroc (66-67, Nagrand)\n    - Windroc Huntress (66, Nagrand)\n    - Gutripper (67 Elite, Nagrand)\n    - Shadowwing Owl (67, Shadowmoon Valley)\n    - Ripfang Lynx (68-69, Netherstorm)",
		["Charge (Rank 1) Obt"] = "Mottled Boar (1-2, Durotar)\n    - Young Thistle Boar (1-2, Teldrassil)\n    - Thistle Boar (2-3, Teldrassil)\n    - Battleboar (3-4, Mulgore)\n    - Small Crag Boar (3, Dun Morogh)\n    - Bristleback Battleboar (4-5, Mulgore)\n    - Crag Boar (5-6, Dun Morogh)\n    - Dire Mottled Boar (6-7, Durotar)\n    - Large Crag Boar (6-7, Dun Morogh)\n    - Elder Crag Boar (7-8, Dun Morogh)\n    - Porcine Entourage (7, Elwynn Forest)\n    - Rockhide Boar (7-8, Elwynn Forest)\n    - Stonetusk Boar (7-8, Elwynn Forest)\n    - Elder Mottled Boar (8-9, Durotar)\n    - Princess (9, Elwynn Forest)\n    - Scarred Crag Boar (9-10, Dun Morogh)\n    - Corrupted Mottled Boar (10-11, Durotar)\n    - Longsnout (10-11, Elwynn Forest)\n    - Mountain Boar (10-11, Loch Modan)",
		["Charge (Rank 2) Obt"] = "Young Goretusk (12-13, Westfall)\n    - Goretusk (14-15, Westfall)\n    - Mangy Mountain Boar (14-15, Loch Modan)\n    - Elder Mountain Boar (16-17, Loch Modan)\n    - Great Goretusk (16-17, Redridge Mountains)",
		["Charge (Rank 3) Obt"] = "Agam'ar (24-25 Elite, Razorfen Kraul)\n    - Bellygrub (24, Redridge Mountains)\n    - Raging Agam'ar (25-26 Elite, Razorfen Kraul)\n    - Rotting Agam'ar (28 Elite, Razorfen Kraul)",
		--["Charge (Rank 4) Obt"] - "", -- No charge rank 4 in the game
		["Charge (Rank 5) Obt"] = "Ashmane Boar (48-49, Blasted Lands)\n    - Grunter (50 Rare, Blasted Lands)",
		["Charge (Rank 6) Obt"] = "Plagued Swine (60, Eastern Plaguelands)",
		["Cower (Rank 1) Obt"] = " Juvenile Snow Leopard (5-6, Dun Morogh)\n    - Nightsaber (5-6, Teldrassil)\n    - Greater Duskbat (6-7, Tirisfal Glades)\n    - Durotar Tiger (7-8, Durotar)\n    - Flatland Cougar (7-8, Mulgore)\n    - Elder Plainstrider (8-9, Mulgore)\n    - Mazzranache (9 Rare, Mulgore)\n    - Moonstalker Runt (10-11, Darkshore)\n    - Foreststrider Fledgling (11-13, Darkshore)\n    - Fleeting Plainstrider (12-13, The Barrens)",
		["Cower (Rank 2) Obt"] = " Savannah Patriarch (15-16, The Barrens)\n    - Ornery Plainstrider (16-17, The Barrens)\n    - Giant Foreststrider (17-19, Darkshore)\n    - Moonstalker Sire (17-18, Darkshore)\n    - Starving Mountain Lion (23-24, Hillsbrad Foothills)\n    - Twilight Runner (23-24, Stonetalon Mountains)",
		["Cower (Rank 3) Obt"] = "Crag Stalker (25-26, Thousand Needles)\n    - Feral Mountain Lion (27-28, Hillsbrad Foothills)\n    - Kraul Bat (30-31 Elite, Razorfen Kraul)\n    - Young Panther (30-31, Stranglethorn Vale)\n    - Young Stranglethorn Tiger (30-31, Stranglethorn Vale)\n    - Greater Kraul Bat (32 Elite, Razorfen Kraul)\n    - Panther (32-33, Stranglethorn Vale)",
		["Cower (Rank 4) Obt"] = "Ridge Stalker (36-37, Badlands)\n    - Ridge Huntress (38-39, Badlands)\n    - Shrike Bat (38-39 Elite, Uldaman)",
		["Cower (Rank 5) Obt"] = "Dark Screecher (50-52, Blackrock Depths)\n    - Jaguero Stalker (50, Stranglethorn Vale)\n    - Plaguebat (53-55, Eastern Plaguelands)\n    - Noxious Plaguebat (54-56, Eastern Plaguelands)",
		["Cower (Rank 6) Obt"] = "Frostsaber Cub (55-56, Winterspring)\n    - Monstrous Plaguebat (56-58, Eastern Plaguelands)",
		["Cower (Rank 7) Obt"] = "Grovestalker Lynx (65-66, Blade's Edge Mountains)\n    - Ripfang Lynx (68-69, Netherstorm)\n    - Lost Torranche (70, Terokkar Forest)",
		["Dash (Rank 1) Obt"] = "Kurzen War Tiger (32-33, Stranglethorn Vale)\n    - Stranglethorn Tiger (32-33, Stranglethorn Vale)\n    - Bonepaw Hyena (33-35, Desolace)\n    - Scarlet Tracking Hound (33-34 Elite, Scarlet Monastery)\n    - Crag Coyote (35-36, Badlands)\n    - Spot (35, Dustwallow Marsh)\n    - Swamp Jaguar (36-37, Swamp of Sorrows)\n    - Broken Tooth (37 Rare, Badlands)\n    - Feral Crag Coyote (37-38, Badlands)\n    - Magram Bonepaw (37-38, Desolace)\n    - Sin'Dall (37, Stranglethorn Vale)\n    - Elder Crag Coyote (39-40, Badlands)",
		["Dash (Rank 2) Obt"] = "Bhag'thera (40 Elite, Stranglethorn Vale)\n    - Longtooth Runner (40-41, Feralas)\n    - Ridge Stalker Patriarch (40-41, Badlands)\n    - Starving Blisterpaw (41-42, Tanaris)\n    - Elder Shadowmaw Panther (42-43, Stranglethorn Vale)\n    - Old Cliff Jumper (42 Rare, The Hinterlands)\n    - Rabid Crag Coyote (42-43, Badlands)\n    - King Bangalash (43 Elite, Stranglethorn Vale)\n    - Blisterpaw Hyena (44-45, Tanaris)\n    - Rabid Blisterpaw (47-48, Tanaris)\n    - Silvermane Stalker (47-48, The Hinterlands)",
		["Dash (Rank 3) Obt"] = "Grunter (50 Rare, Blasted Lands)\n    - Vilebranch Raiding Wolf (50-51 Elite, The Hinterlands)\n    - Ravage (51 Rare, Blasted Lands)\n    - Scarshield Worg (53-54, Blackrock Spire)\n    - Blackrock Worg (54-55, Burning Steppes)\n    - Bloodaxe Worg (56-57, Blackrock Spire)\n    - Rak'Shiri (57 Rare, Winterspring)\n    - Frostsaber Huntress (58-59, Winterspring)\n    - Frostsaber Stalker (59-60, Winterspring)\n    - Razorfang Hatchling (59-60, Hellfire Peninsula)\n    - Zulian Panther (60 Elite, Zul'Gurub)\n    - Zulian Stalker (61 Elite, Zul'Gurub)\n    - Rip-Blade Ravager (63, Blade's Edge Mountains)",
		["Dive (Rank 1) Obt"] = "Kraul Bat (30-31 Elite, Razorfen Kraul)\n    - Young Mesa Buzzard (31-32, Arathi Highlands)\n    - Greater Kraul Bat (32 Elite, Razorfen Kraul)\n    - Mesa Buzzard (34-35, Arathi Highlands)\n    - Wayward Buzzard (35-37, Badlands)\n    - Dread Flyer (36-37, Desolace)\n    - Shrike Bat (38-39 Elite, Uldaman)",
		["Dive (Rank 2) Obt"] = "Vale Screecher (41-43, Feralas)\n    - Roc (42-43, Tanaris)\n    - Fire Roc (43-45, Tanaris)\n    - Rogue Vale Screecher (44-46, Feralas)\n    - Greater Firebird (46 Rare, Tanaris)\n    - Searing Roc (47-49, Tanaris)\n    - Ironbeak Owl (48-49, Felwood)\n    - Arash-ethis (49 Rare, Feralas)",
		["Dive (Rank 3) Obt"] = "Carrion Vulture (50-52, Western Plaguelands)\n    - Dark Screecher (50-52, Blackrock Depths)\n    - Ironbeak Hunter (50-51, Felwood)\n    - Spawn of Hakkar (51 Elite, The Temple of Atal'Hakkar)\n    - Ironbeak Screecher (52-53, Felwood)\n    - Olm the Wise (52 Rare, Felwood)\n    - Spiteflayer (52 Rare, Blasted Lands)\n    - Plaguebat (53-55, Eastern Plaguelands)\n    - Winterspring Owl (54-56, Winterspring)\n    - Zaricotl (55 Rare, Badlands)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Kaliri Swooper (60, Hellfire Peninsula)\n    - Windroc (64-65, Nagrand)\n    - Windroc Hunter (65, Nagrand)\n    - Windroc Huntress (66, Nagrand)\n    - Windroc Matriarch (66 Spawned Elite, Nagrand)\n    - Shadowwing Owl (67, Shadowmoon Valley)\n    - Skettis Kaliri (70, Terokkar Forest)",
		["Fire Breath (Rank 1) Obt"] = "Feral Dragonhawk Hatchling (5-6, Eversong Woods)\n    - Crazed Dragonhawk (7-8, Eversong Woods)",
		["Fire Breath (Rank 2) Obt"] = "Eclipsion Dragonhawk (67-68, Shadowmoon Valley)\n    - Bloodfalcon (69 Elite, The Botanica)\n    - Bloodfalcon (70 Elite, The Botanica (Heroic))\n    - Phoenix-Hawk Hatchling (70 Elite, Tempest Keep)",
		["Furious Howl (Rank 1) Obt"] = "Worg (10-11, Silverpine Forest)\n    - Coyote Packleader (11-12, Westfall)\n    - Mist Howler (22 Rare, Ashenvale)",
		["Furious Howl (Rank 2) Obt"] = "Black Ravager Mastiff (25-26, Duskwood)\n    - Ghostpaw Alpha (27-28, Ashenvale)\n    - Elder Crag Coyote (39-40, Badlands)\n    - Longtooth Howler (43-44, Feralas)\n    - Silvermane Howler (45-46, The Hinterlands)",
		["Furious Howl (Rank 3) Obt"] = "Longtooth Runner (40-41, Feralas)\n    - Snarler (42 Rare, Feralas)\n    - Silvermane Wolf (43-44, The Hinterlands)\n    - Felpaw Wolf (47-48, Felwood)\n    - Death Howl (49 Rare, Felwood)",
		["Furious Howl (Rank 4) Obt"] = " Bloodaxe Worg (56-57, Blackrock Spire)\n    - Timber Worg (62-63, Terokkar Forest)\n    - Dark Worg (64-65, Nagrand)\n    - Bloodmaul Dire Wolf (65, Blade's Edge Mountains)\n    - Bloodmaul Battle Worg (66-67, Blade's Edge Mountains)\n    - Rema (66, Blade's Edge Mountains)",
		["Gore (Rank 1) Obt"] = "Thistle Boar (2-3, Teldrassil)\n    - Battleboar (3-4, Mulgore)\n    - Bristleback Battleboar (4-5, Mulgore)\n    - Dire Mottled Boar (6-7, Durotar)\n    - Large Crag Boar (6-7, Dun Morogh)\n    - Rockhide Boar (7-8, Elwynn Forest)",
		["Gore (Rank 2) Obt"] = "Elder Mottled Boar (8-9, Durotar)\n    - Ravager Specimen (9-10, Azuremyst Isle)\n    - Corrupted Mottled Boar (10-11, Durotar)\n    - Mountain Boar (10-11, Loch Modan)\n    - Goretusk (14-15, Westfall)",
		["Gore (Rank 3) Obt"] = "Elder Mountain Boar (16-17, Loch Modan)\n    - Enraged Ravager (16-17, Bloodmyst Isle)\n    - Great Goretusk (16-17, Redridge Mountains)",
		["Gore (Rank 4) Obt"] = "Bellygrub (24, Redridge Mountains)",
		--["Gore (Rank 5) Obt"] = "", -- Not in game
		--["Gore (Rank 6) Obt"] = "", -- Not in game
		["Gore (Rank 7) Obt"] = "Ashmane Boar (48-49, Blasted Lands)",
		["Gore (Rank 8) Obt"] = "Plagued Swine (60, Eastern Plaguelands)\n    - Quillfang Skitterer (61-62, Hellfire Peninsula)\n    - Quillfang Ravager (62-63, Hellfire Peninsula)\n    - Thornfang Ravager (62-63, Hellfire Peninsula)",
		["Gore (Rank 9) Obt"] = "Rip-Blade Ravager (63, Blade's Edge Mountains)",
		["Lightning Breath (Rank 1) Obt"] = "Deviate Coiler Hatchling (11 Elite, The Wailing Caverns)",
		["Lightning Breath (Rank 2) Obt"] = "Deviate Coiler (15-16 Elite, The Wailing Caverns)\n    - Deviate Stinglash (16-17 Elite, The Wailing Caverns)\n    - Thunderhawk Hatchling (18-20, The Barrens)\n    - Deviate Dreadfang (20-21 Elite, The Wailing Caverns)\n    - Deviate Venomwing (20-21 Elite, The Wailing Caverns)\n    - Thunderhawk Cloudscraper (20-22, The Barrens)\n    - Greater Thunderhawk (23-24, The Barrens)",
		["Lightning Breath (Rank 3) Obt"] = "Cloud Serpent (25-26, Thousand Needles)\n    - Washte Pawne (25, The Barrens)\n    - Venomous Cloud Serpent (26-28, Thousand Needles)\n    - Elder Cloud Serpent (27-29, Thousand Needles)",
		["Lightning Breath (Rank 4) Obt"] = "Vale Screecher (41-43, Feralas)\n    - Rogue Vale Screecher (44-46, Feralas)",
		["Lightning Breath (Rank 5) Obt"] = "Arash-ethis (49 Rare, Feralas)\n    - Hakkar'i Frostwing (49-50 Elite, The Temple of Atal'Hakkar)\n    - Hakkar'i Sapper (49-50 Elite, The Temple of Atal'Hakkar)\n    - Spawn of Hakkar (51 Elite, The Temple of Atal'Hakkar)",
		["Lightning Breath (Rank 6) Obt"] = "Son of Hakkar (60 Elite, Zul'Gurub)\n    - Soulflayer (61 Elite, Zul'Gurub)\n    - Felsworn Scalewing (66-67, Blade's Edge Mountains)\n    - Scalewing Serpent (66-67, Blade's Edge Mountains)\n    - Cobalt Serpent (68 Elite, Sethekk Halls)\n    - Swiftwing Shredder (68-69, Netherstorm)\n    - Cobalt Serpent (70-71 Elite, Sethekk Halls (Heroic))",
		["Poison Spit (Rank 1) Obt"] = "Deviate Adder (18-19 Elite, The Wailing Caverns)\n    - Deviate Viper (19-20 Elite, The Wailing Caverns)\n    - Deviate Moccasin (20-21 Elite, The Wailing Caverns)",
		["Poison Spit (Rank 2) Obt"] = "Murk Slitherer (45-46 Elite, The Temple of Atal'Hakkar)\n    - Sandfury Guardian (45-46 Spawned Elite, Zul'Farrak)\n    - Murk Spitter (46-47 Elite, The Temple of Atal'Hakkar)",
		["Poison Spit (Rank 3) Obt"] = "Razzashi Adder (60 Elite, Zul'Gurub)\n    - Razzashi Cobra (60 Elite, Zul'Gurub)\n    - Razzashi Serpent (60 Elite, Zul'Gurub)\n    - Coilskar Cobra (68, Shadowmoon Valley)",
		["Prowl (Rank 1) Obt"] = "Mountain Lion (32-33, Alterac Mountains)\n    - Ridge Stalker (36-37, Badlands)\n    - Shadowmaw Panther (37-38, Stranglethorn Vale)\n    - Shadow Panther (39-40, Swamp of Sorrows)",
		["Prowl (Rank 2) Obt"] = "Ridge Stalker Patriarch (40-41, Badlands)\n    - Elder Shadowmaw Panther (42-43, Stranglethorn Vale)",
		["Prowl (Rank 3) Obt"] = "Jaguero Stalker (50, Stranglethorn Vale)\n    - Frostsaber Stalker (59-60, Winterspring)\n    - Zulian Stalker (61 Elite, Zul'Gurub)",
		["Scorpid Poison (Rank 1) Obt"] = "Venomtail Scorpid (9-10, Durotar)\n    - Corrupted Scorpid (10-11, Durotar)\n    - Death Flayer (11 Rare, Durotar)\n    - Silithid Creeper (20-21, The Barrens)\n    - Silithid Swarmer (21-22, The Barrens)",
		["Scorpid Poison (Rank 2) Obt"] = "Scorpashi Snapper (30-31, Desolace)\n    - Scorpid Reaver (31-32, Thousand Needles)\n    - Scorpid Terror (33-34, Thousand Needles)\n    - Cleft Scorpid (35-36, Uldaman)\n    - Vile Sting (35 Rare, Thousand Needles)\n    - Scorpashi Venomlash (38-39, Desolace)",
		["Scorpid Poison (Rank 3) Obt"] = "Scorpid Hunter (40-41, Tanaris)\n    - Deadly Cleft Scorpid (42-43, Uldaman)\n    - Scorpid Tail Lasher (43-44, Tanaris)\n    - Scorpid Duneburrower (46-47 Spawned, Tanaris)\n    - Scorpid Dunestalker (46-47, Tanaris)\n    - Deep Stinger (50-52, Blackrock Depths)\n    - Venomtip Scorpid (52-53, Burning Steppes)\n    - Deathlash Scorpid (54-55, Burning Steppes)\n    - Stonelash Scorpid (54-55, Silithus)",
		["Scorpid Poison (Rank 4) Obt"] = "Firetail Scorpid (56-57, Burning Steppes)\n    - Krellack (56 Rare, Silithus)\n    - Stonelash Pincer (56-57, Silithus)\n    - Stonelash Flayer (58-59, Silithus)",
		["Scorpid Poison (Rank 5) Obt"] = "Scorpok Stinger (50-51, Blasted Lands)\n    - Scorpid Bonecrawler (64-65, Terokkar Forest)\n    - Scorchshell Pincer (68-69, Shadowmoon Valley)",
		["Screech (Rank 1) Obt"] = "Greater Fleshripper (16-17, Westfall)",
		["Screech (Rank 2) Obt"] = "Salt Flats Vulture (32-34, Thousand Needles)\n    - Shrike Bat (38-39 Elite, Uldaman)\n    - Dread Ripper (39-40, Desolace)",
		["Screech (Rank 3) Obt"] = "Ironbeak Owl (48-49, Felwood)\n    - Carrion Vulture (50-52, Western Plaguelands)\n    - Dark Screecher (50-52, Blackrock Depths)",
		["Screech (Rank 4) Obt"] = "Monstrous Plaguebat (56-58, Eastern Plaguelands)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Kaliri Matriarch (63, Hellfire Peninsula)",
		["Screech (Rank 5) Obt"] = "Greater Windroc (66-67, Nagrand)\n    - Windroc Matriarch (66 Spawned Elite, Nagrand)\n    - Gutripper (67 Elite, Nagrand)",
		["Shell Shield (Rank 1) Obt"] = "Kresh (20 Elite, The Wailing Caverns)\n    - Aku'mai Fisher (23-24 Elite, Blackfathom Deeps)\n    - Ghamoo-ra (25 Elite, Blackfathom Deeps)\n    - Aku'mai Snapjaw (26-27 Elite, Blackfathom Deeps)\n    - Snapjaw (30-31, Hillsbrad Foothills)\n    - Ironback (51 Rare, The Hinterlands)",
		["Thunderstomp (Rank 1) Obt"] = "Mistvale Gorilla (32-33, Stranglethorn Vale)\n    - Jungle Thunderer (37-38, Stranglethorn Vale)",
		["Thunderstomp (Rank 2) Obt"] = "Elder Mistvale Gorilla (40-41, Stranglethorn Vale)\n    - Groddoc Thunderer (49-50, Feralas)",
		["Thunderstomp (Rank 3) Obt"] = "Un'Goro Thunderer (52-53, Un'Goro Crater)\n    - U'cha (55, Un'Goro Crater)",
		["Warp (Rank 1) Obt"] = "Warp Stalker (63-64, Terokkar Forest)\n    - Warp Hunter (64-65, Terokkar Forest)\n    - Warp Chaser (67-68, Netherstorm)\n    - Blackwind Warp Chaser (69-70, Terokkar Forest)",

		-- Blacksmithing Recipes
		
		-- Blacksmithin Obtain Information
		
		-- Cooking Recipes
		-- Original Game Recipes
		["Brilliant Smallfish"] = true,
		["Crispy Bat Wing"] = true,
		["Charred Wolf Meat"] = true,
		["Gingerbread Cookie"] = true,
		["Herb Baked Egg"] = true,
		["Lynx Steak"] = true,
		["Roasted Boar Meat"] = true,
		["Slitherskin Mackerel"] = true,
		["Spice Bread"] = true,
		["Roasted Moongraze Tenderloin"] = true,
		["Kaldorei Spider Kabob"] = true,
		["Spiced Wolf Meat"] = true,
		["Scorpid Surprise"] = true,
		["Beer Basted Boar Ribs"] = true,
		["Roasted Kodo Meat"] = true,
		["Egg Nog"] = true,
		["Smoked Bear Meat"] = true,
		["Fillet of Frenzy"] = true,
		["Strider Stew"] = true,
		["Boiled Clams"] = true,
		["Longjaw Mud Snapper"] = true,
		["Loch Frenzy Delight"] = true,
		["Rainbow Fin Albacore"] = true,
		["Coyote Steak"] = true,
		["Goretusk Liver Pie"] = true,
		["Bat Bites"] = true,
		["Blood Sausage"] = true,
		["Thistle Tea"] = true,
		["Crunchy Spider Surprise"] = true,
		["Westfall Stew"] = true,
		["Crab Cake"] = true,
		["Crocolisk Steak"] = true,
		["Smoked Sagefish"] = true,
		["Dry Pork Ribs"] = true,
		["Savory Deviate Delight"] = true,
		["Cooked Crab Claw"] = true,
		["Murloc Fin Soup"] = true,
		["Dig Rat Stew"] = true,
		["Clam Chowder"] = true,
		["Crispy Lizard Tail"] = true,
		["Bristle Whisker Catfish"] = true,
		["Redridge Goulash"] = true,
		["Seasoned Wolf Kabob"] = true,
		["Gooey Spider Cake"] = true,
		["Big Bear Steak"] = true,
		["Lean Venison"] = true,
		["Succulent Pork Ribs"] = true,
		["Crocolisk Gumbo"] = true,
		["Hot Lion Chops"] = true,
		["Goblin Deviled Clams"] = true,
		["Lean Wolf Steak"] = true,
		["Curiously Tasty Omelet"] = true,
		["Tasty Lion Steak"] = true,
		["Heavy Crocolisk Stew"] = true,
		["Soothing Turtle Bisque"] = true,
		["Barbecued Buzzard Wing"] = true,
		["Giant Clam Scorcho"] = true,
		["Rockscale Cod"] = true,
		["Roast Raptor"] = true,
		["Hot Wolf Ribs"] = true,
		["Jungle Stew"] = true,
		["Carrion Surprise"] = true,
		["Mystery Stew"] = true,
		["Mithril Headed Trout"] = true,
		["Sagefish Delight"] = true,
		["Goldthorn Tea"] = true,
		["Dragonbreath Chili"] = true,
		["Heavy Kodo Stew"] = true,
		["Spider Sausage"] = true,
		["Spiced Chili Crab"] = true,
		["Monster Omelet"] = true,
		["Cooked Glossy Mightfish"] = true,
		["Spotted Yellowtail"] = true,
		["Filet of Redgill"] = true,
		["Undermine Clam Chowder"] = true,
		["Tender Wolf Steak"] = true,
		["Grilled Squid"] = true,
		["Hot Smoked Bass"] = true,
		["Nightfin Soup"] = true,
		["Poached Sunscale Salmon"] = true,
		["Lobster Stew"] = true,
		["Mightfish Steak"] = true,
		["Baked Salmon"] = true,
		["Runn Tum Tuber Surprise"] = true,
		["Smoked Desert Dumplings"] = true,
		["Dirge's Kickin' Chimaerok Chops"] = true,
	
		-- Burning Crusade Recipes
		["Buzzard Bites"] = true,
		["Ravager Dog"] = true,
		["Blackened Trout"] = true,
		["Feltail Delight"] = true,
		["Clam Bar"] = true,
		["Sporeling Snack"] = true,
		["Blackened Sporefish"] = true,
		["Blackened Basilisk"] = true,
		["Stewed Trout"] = true,
		["Grilled Mudfish"] = true,
		["Poached Bluefish"] = true,
		["Roasted Clefthoof"] = true,
		["Warp Burger"] = true,
		["Talbuk Steak"] = true,
		["Golden Fish Sticks"] = true,
		["Crunchy Serpent"] = true,
		["Mok'Nathal Shortribs"] = true,
		["Spicy Crawdad"] = true,
		["Fisherman's Feast"] = true,
		["Hot Buttered Trout"] = true,
		
		-- Cooking Obtain Information
		["Roasted Moongraze Tenderloin Obt"] = "Quest Reward: The Great Moongraze Hunt",
		["Kaldorei Spider Kabob Obt"] = "Quest Reward: Recipe of the Kaldorei",
		["Beer Basted Boar Ribs Obt"] = "Quest Reward: Beer Basted Boar Ribs\n    - Vendor",
		["Strider Stew Obt"] = "Quest Reward: Easy Strider Living\n    - Vendor",
		["Goretusk Liver Pie Obt"] = "Quest Reward: Goretusk Liver Pie\n    - Vendor",
		["Blood Sausage Obt"] = "Quest Reward: Thelsamar Blood Sausages\n    Vendor",
		["Thistle Tea Obt"] = "(A): Quest Reward: Klaven's Tower\n    - (H): Quest Reward: Mission: Possible But Not Probable\n    - Vendor: Smudge Thunderwood, Alterac Mountains",
		["Crunchy Spider Surprise Obt"] = "(H): Quest Reward: Culinary Crunch\n    - Vendor",
		["Westfall Stew Obt"] = "Quest Reward: Westfall Stew\n    - Vendor",
		["Crocolisk Steak Obt"] = "Quest Reward: Crocolisk Hunting\n    - Vendor",
		["Savory Deviate Delight Obt"] = "Uncommon Drop: The Barrens",
		["Murloc Fin Soup Obt"] = "Quest Reward: Selling Fish\n    - Vendor",
		["Dig Rat Stew Obt"] = "Quest Reward: Dig Rat Stew",
		["Redridge Goulash Obt"] = "Quest Reward: Redridge Goulash\n    - Vendor",
		["Seasoned Wolf Kabob Obt"] = "Quest Reward: Seasoned Wolf Kabobs\n    - Vendor",
		["Gooey Spider Cake Obt"] = "Quest Reward: Dusky Crab Cakes\n    - Vendor",
		["Big Bear Steak Obt"] = "(H): Quest Reward: The Rescue\n    - Vendor",
		["Crocolisk Gumbo Obt"] = "Quest Reward: Apprentice's Duties\n    - Vendor",
		["Hot Lion Chops Obt"] = "(H): Quest Reward: Elixir of Pain\n    - Vendor",
		["Curiously Tasty Omelet Obt"] = "(A): Quest Reward: Ormer's Revenge\n    - Vendor",
		["Tasty Lion Steak Obt"] = "Quest Reward: Costly Menace",
		["Soothing Turtle Bisque Obt"] = "Quest Reward: Soothing Turtle Bisque",
		["Barbecued Buzzard Wing Obt"] = "Quest Reward: Barbecued Buzzard Wings\n    - Vendor",
		["Goldthorn Tea Obt"] = "Talk to Henry Stern in RFD",
		["Runn Tum Tuber Surprise Obt"] = "BoP Mod Drop: Pusillin, Dire Maul",
		["Smoked Desert Dumplings Obt"] = "Quest Reward: Desert Recipe",
		["Dirge's Kickin' Chimaerok Chops Obt"] = "Quest Reward: Dirge's Kickin' Chimaerok Chops",
		["Buzzard Bites Obt"] = "Quest Reward: Smooth as Butter",
		["Stewed Trout Obt"] = "Trainer: Kylene",
		["Crunchy Serpent Obt"] = "(H): Quest Reward: Mok'Nathal Treats\n    - Vendor",
		["Mok'Nathal Shortribs Obt"] = "(H): Quest Reward: Mok'Nathal Treats\n    - Vendor",
		["Fisherman's Feast Obt"] = "Trainer: Kylene",
		["Hot Buttered Trout Obt"] = "Trainer: Kylene",

		-- Enchanting Recipes
		-- Original Game Recipes
		["Enchant Bracer - Minor Health"] = true,
		["Enchant Bracer - Minor Deflection"] = true,
		["Runed Copper Rod"] = true,
		["Enchant Chest - Minor Health"] = true,
		["Lesser Magic Wand"] = true,
		["Enchant Chest - Minor Mana"] = true,
		["Enchant Chest - Minor Absorption"] = true,
		["Enchant Cloak - Minor Resistance"] = true,
		["Minor Wizard Oil"] = true,
		["Enchant Bracer - Minor Stamina"] = true,
		["Enchant Chest - Lesser Health"] = true,
		["Enchant Bracer - Minor Spirit"] = true,
		["Enchant Cloak - Minor Protection"] = true,
		["Greater Magic Wand"] = true,
		["Enchant Chest - Lesser Mana"] = true,
		["Enchant Bracer - Minor Agility"] = true,
		["Enchant Bracer - Minor Strength"] = true,
		["Enchant Weapon - Minor Beastslayer"] = true,
		["Enchant Weapon - Minor Striking"] = true,
		["Enchant 2H Weapon - Minor Impact"] = true,
		["Enchant 2H Weapon - Lesser Intellect"] = true,
		["Runed Silver Rod"] = true,
		["Enchant Shield - Minor Stamina"] = true,
		["Enchant 2H Weapon - Lesser Spirit"] = true,
		["Enchant Cloak - Minor Agility"] = true,
		["Enchant Cloak - Lesser Protection"] = true,
		["Enchant Shield - Lesser Protection"] = true,
		["Enchant Chest - Health"] = true,
		["Enchant Bracer - Lesser Spirit"] = true,
		["Enchant Cloak - Lesser Fire Resistance"] = true,
		["Enchant Boots - Minor Stamina"] = true,
		["Enchant Boots - Minor Agility"] = true,
		["Enchant Bracer - Lesser Stamina"] = true,
		["Enchant Shield - Lesser Spirit"] = true,
		["Enchant Cloak - Lesser Shadow Resistance"] = true,
		["Enchant Weapon - Lesser Striking"] = true,
		["Enchant Bracer - Lesser Strength"] = true,
		["Enchant Chest - Lesser Absorption"] = true,
		["Enchant 2H Weapon - Lesser Impact"] = true,
		["Enchant Chest - Mana"] = true,
		["Enchant Gloves - Mining"] = true,
		["Enchant Gloves - Herbalism"] = true,
		["Enchant Gloves - Fishing"] = true,
		["Enchant Chest - Minor Stats"] = true,
		["Runed Golden Rod"] = true,
		["Lesser Mystic Wand"] = true,
		["Minor Mana Oil"] = true,
		["Enchant Bracer - Lesser Intellect"] = true,
		["Enchant Shield - Lesser Stamina"] = true,
		["Enchant Cloak - Defense"] = true,
		["Enchant Boots - Lesser Agility"] = true,
		["Enchant Chest - Greater Health"] = true,
		["Enchant Bracer - Spirit"] = true,
		["Enchant Boots - Lesser Stamina"] = true,
		["Enchant Bracer - Lesser Deflection"] = true,
		["Enchant Bracer - Stamina"] = true,
		["Enchant Weapon - Lesser Beastslayer"] = true,
		["Enchant Weapon - Lesser Elemental Slayer"] = true,
		["Enchant Cloak - Fire Resistance"] = true,
		["Greater Mystic Wand"] = true,
		["Enchant Shield - Spirit"] = true,
		["Enchant Bracer - Strength"] = true,
		["Enchant Chest - Greater Mana"] = true,
		["Enchant Boots - Lesser Spirit"] = true,
		["Enchant Weapon - Winter's Might"] = true,
		["Enchant Shield - Lesser Block"] = true,
		["Enchant Weapon - Striking"] = true,
		["Enchant 2H Weapon - Impact"] = true,
		["Enchant Gloves - Skinning"] = true,
		["Enchant Chest - Lesser Stats"] = true,
		["Runed Truesilver Rod"] = true,
		["Lesser Wizard Oil"] = true,
		["Enchant Cloak - Greater Defense"] = true,
		["Enchant Cloak - Resistance"] = true,
		["Enchant Shield - Stamina"] = true,
		["Enchant Bracer - Intellect"] = true,
		["Enchant Gloves - Agility"] = true,
		["Enchant Boots - Stamina"] = true,
		["Enchant Gloves - Advanced Mining"] = true,
		["Enchant Bracer - Greater Spirit"] = true,
		["Enchant Chest - Superior Health"] = true,
		["Enchant Gloves - Advanced Herbalism"] = true,
		["Enchant Cloak - Lesser Agility"] = true,
		["Enchant Gloves - Strength"] = true,
		["Enchant Boots - Minor Speed"] = true,
		["Enchant Shield - Greater Spirit"] = true,
		["Enchant Weapon - Demonslaying"] = true,
		["Enchant Chest - Superior Mana"] = true,
		["Enchant Bracer - Deflection"] = true,
		["Enchant Shield - Frost Resistance"] = true,
		["Enchant Boots - Agility"] = true,
		["Enchant 2H Weapon - Greater Impact"] = true,
		["Enchant Bracer - Greater Strength"] = true,
		["Enchant Chest - Stats"] = true,
		["Enchant Weapon - Greater Striking"] = true,
		["Enchant Bracer - Greater Stamina"] = true,
		["Enchant Gloves - Riding Skill"] = true,
		["Enchant Gloves - Minor Haste"] = true,
		["Enchanted Leather"] = true,
		["Enchanted Thorium"] = true,
		["Lesser Mana Oil"] = true,
		["Enchant Bracer - Greater Intellect"] = true,
		["Enchant Boots - Greater Stamina"] = true,
		["Enchant Weapon - Fiery Weapon"] = true,
		["Smoking Heart of the Mountain"] = true,
		["Enchant Cloak - Greater Resistance"] = true,
		["Enchant Shield - Greater Stamina"] = true,
		["Enchant Bracer - Superior Spirit"] = true,
		["Enchant Gloves - Greater Agility"] = true,
		["Enchant Boots - Spirit"] = true,
		["Enchant Chest - Major Health"] = true,
		["Wizard Oil"] = true,
		["Enchant Shield - Superior Spirit"] = true,
		["Enchant Weapon - Icy Chill"] = true,
		["Enchant Cloak - Superior Defense"] = true,
		["Enchant Chest - Major Mana"] = true,
		["Runed Arcanite Rod"] = true,
		["Enchant Weapon - Strength"] = true,
		["Enchant Weapon - Agility"] = true,
		["Enchant Bracer - Mana Regeneration"] = true,
		["Enchant 2H Weapon - Agility"] = true,
		["Enchant Gloves - Greater Strength"] = true,
		["Enchant Boots - Greater Agility"] = true,
		["Enchant Bracer - Superior Strength"] = true,
		["Enchant 2H Weapon - Superior Impact"] = true,
		["Enchant Weapon - Unholy Weapon"] = true,
		["Enchant 2H Weapon - Major Intellect"] = true,
		["Enchant Weapon - Superior Striking"] = true,
		["Enchant Bracer - Superior Stamina"] = true,
		["Enchant Weapon - Crusader"] = true,
		["Enchant Chest - Greater Stats"] = true,
		["Enchant Weapon - Lifestealing"] = true,
		["Enchant 2H Weapon - Major Spirit"] = true,
		["Enchant Weapon - Spell Power"] = true,
		["Enchant Weapon - Healing Power"] = true,
		["Enchant Bracer - Healing Power"] = true,
		["Enchant Weapon - Mighty Spirit"] = true,
		["Enchant Weapon - Mighty Intellect"] = true,
		["Enchant Gloves - Shadow Power"] = true,
		["Enchant Gloves - Frost Power"] = true,
		["Enchant Gloves - Fire Power"] = true,
		["Enchant Gloves - Healing Power"] = true,
		["Enchant Cloak - Greater Fire Resistance"] = true,
		["Enchant Cloak - Greater Nature Resistance"] = true,
		["Brilliant Wizard Oil"] = true,
		["Brilliant Mana Oil"] = true,

		-- Burning Crusade Recipes
		["Enchant Gloves - Superior Agility"] = true,
		["Enchant Gloves - Threat"] = true,
		["Enchant Cloak - Stealth"] = true,
		["Enchant Cloak - Subtlety"] = true,
		["Enchant Cloak - Dodge"] = true,
		["Runed Fel Iron Rod"] = true,
		["Enchant Chest - Restore Mana Prime"] = true,
		["Enchant Bracer - Assault"] = true,
		["Enchant Boots - Vitality"] = true,
		["Enchant Gloves - Blasting"] = true,
		["Enchant Bracer - Brawn"] = true,
		["Enchant Bracer - Major Intellect"] = true,
		["Superior Mana Oil"] = true,
		["Enchant Gloves - Assault"] = true,
		["Enchant Shield - Tough Shield"] = true,
		["Enchant Cloak - Greater Agility"] = true,
		["Enchant Cloak - Major Armor"] = true,
		["Enchant Bracer - Stats"] = true,
		["Enchant Chest - Exceptional Health"] = true,
		["Enchant Bracer - Major Defense"] = true,
		["Enchant Boots - Fortitude"] = true,
		["Enchant Chest - Major Spirit"] = true,
		["Prismatic Sphere"] = true,
		["Enchant Bracer - Superior Healing"] = true,
		["Enchant Shield - Intellect"] = true,
		["Enchant Cloak - Spell Penetration"] = true,
		["Enchant Shield - Major Stamina"] = true,
		["Enchant Cloak - Major Resistance"] = true,
		["Large Prismatic Shard"] = true,
		["Enchant Bracer - Restore Mana Prime"] = true,
		["Superior Wizard Oil"] = true,
		["Enchant Shield - Shield Block"] = true,
		["Enchant Boots - Dexterity"] = true,
		["Enchant Weapon - Major Intellect"] = true,
		["Enchant Gloves - Major Strength"] = true,
		["Enchant Weapon - Major Striking"] = true,
		["Enchant Chest - Exceptional Stats"] = true,
		["Enchant Chest - Major Resilience"] = true,
		["Enchant Bracer - Fortitude"] = true,
		["Enchant 2H Weapon - Savagery"] = true,
		["Enchant Weapon - Potency"] = true,
		["Enchant Weapon - Major Spellpower"] = true,
		["Void Sphere"] = true,
		["Nexus Transformation"] = true,
		["Small Prismatic Shard"] = true,
		["Runed Adamantite Rod"] = true,
		["Enchant Gloves - Major Healing"] = true,
		["Enchant Weapon - Greater Agility"] = true,
		["Enchant Cloak - Greater Arcane Resistance"] = true,
		["Enchant Cloak - Greater Shadow Resistance"] = true,
		["Enchant Weapon - Major Healing"] = true,
		["Enchant Bracer - Spellpower"] = true,
		["Enchant Ring - Striking"] = true,
		["Enchant Ring - Spellpower"] = true,
		["Enchant Shield - Resistance"] = true,
		["Enchant 2H Weapon - Major Agility"] = true,
		["Enchant Weapon - Spellsurge"] = true,
		["Enchant Weapon - Battlemaster"] = true,
		["Enchant Gloves - Spell Strike"] = true,
		["Enchant Gloves - Major Spellpower"] = true,
		["Enchant Boots - Cat's Swiftness"] = true,
		["Enchant Boots - Boar's Speed"] = true,
		["Enchant Ring - Healing Power"] = true,
		["Enchant Boots - Surefooted"] = true,
		["Runed Eternium Rod"] = true,
		["Enchant Ring - Stats"] = true,
		["Enchant Weapon - Sunfire"] = true,
		["Enchant Weapon - Soulfrost"] = true,
		["Enchant Weapon - Mongoose"] = true,

		-- Enchanting Obtain Information
		["Enchant Gloves - Mining Obt"] = "Mob Drop: Dark Iron Dwarf, Dark Iron Demonlitionist, Dark Iron Tunneler, Dark Iron Saboteur, Balgaras the Foul, Wetlands",
		["Enchant Gloves - Herbalism Obt"] = "Mob Drop: Vengeful Ancient, Blackened Ancient, Charred Ancient, Stonetalon Mountaions, Crazed Ancient, Withered Ancient, Ashenvale",
		["Enchant Gloves - Fishing Obt"] = "Mob Drop:  Scargil, Torn Fin Coastrunner, Torn Fin Oracle, Torn Fin Muckdweller, Torn Fin Tidehunter, Hillsbrad Foothills",
		["Enchant Gloves - Skinning Obt"] = "Mob Drop: Nimar the Slayer, Witherbark Berserker, Witherbark Headhunter, Witherbark Shadow Hunter, Arathi Highlands",
		["Enchant Gloves - Advanced Mining Obt"] = "Mob Drop: Venture Co. Strip Miner, STV",
		["Enchant Gloves - Advanced Herbalism Obt"] = "Mob Drop: Mire Lord, Molt Thorn, Swampwalker, Swampwalker Elder, Tangled Horror, Swamp of Sorrows",
		["Enchant Cloak - Lesser Agility Obt"] = "Mob Drop: Syndicate Assassin, Alterac Mountains, Wastewander Assassin, Wastewander Scofflaw, Tanaris",
		["Enchant Weapon - Fiery Weapon Obt"] = "Mob Drop: Pyromancer Loregrain, BRD",
		["Smoking Heart of the Mountain Obt"] = "Mob Drop: Lord Roccor BRD",
		["Enchant Weapon - Icy Chill Obt"] = "Mob Drop: Anguished Highborne, Winterspring",
		["Enchant Bracer - Superior Strength Obt"] = "Mob Drop: Deadwind Warlock, Deadwind Pass",
		["Enchant 2H Weapon - Superior Impact Obt"] = "Mob Drop: Blackhand Elite, LBRS",
		["Enchant Weapon - Unholy Weapon Obt"] = "Mob Drop: Thuzadin Shadowcaster, Stratholme",
		["Enchant 2H Weapon - Major Intellect Obt"] = "Mob Drop: Crimson Sorcerer, Stratholme",
		["Enchant Weapon - Superior Striking Obt"] = "Mob Drop: Spirestone Warlord, LBRS",
		["Enchant Weapon - Crusader Obt"] = "Mob Drop: Scarlet Spellbinder, Western Plaguelands",
		["Enchant Weapon - Lifestealing Obt"] = "Mob Drop: Spectral Researcher, Scholomance",
		["Enchant 2H Weapon - Major Spirit Obt"] = "Drops from Scholomance Adept, Scholomance",
		["Enchant Gloves - Shadow Power Obt"] = "BoP Mob Drop: Random bosses in AQ20/AQ40",
		["Enchant Gloves - Frost Power Obt"] = "BoP Mob Drop: Random bosses in AQ20/AQ40",
		["Enchant Gloves - Fire Power Obt"] = "BoP Mob Drop: Random bosses in AQ20/AQ40",
		["Enchant Gloves - Healing Power Obt"] = "BoP Mob Drop: Random bosses in AQ20/AQ40",
		["Enchant Bracer - Major Defense Obt"] = "BoP Mob Drop: Ethereum Nullifier, Netherstorm",
		["Enchant Boots - Fortitude Obt"] = "BoP Mob Drop: Ethereal Priest, Mana-Tombs",
		["Enchant Boots - Dexterity Obt"] = "BoP Mob Drop: Raging Skeletons, Auchenai Crypts",
		["Enchant Weapon - Major Intellect Obt"] = "BoP Mob Drop: Sunfury Researchers, Netherstorm",
		["Enchant Bracer - Fortitude Obt"] = "BoP Mob Drop: Coilfang Oracles, The Steamvault",
		["Enchant 2H Weapon - Savagery Obt"] = "BoP Mob Drop: Shattered Hand Centurions, The Shattered Halls",
		["Enchant Weapon - Major Spellpower Obt"] = "BoP Mob Drop: Bash'ir Spell-Thief, Blade's Edge Mountains",
		["Enchant Cloak - Greater Arcane Resistance Obt"] = "BoP Mob Drop: Eclipsion Archmages, SMV",
		["Enchant Cloak - Greater Shadow Resistance Obt"] = "BoP Mob Drop: Voidshriekers, Netherstorm",
		["Enchant Bracer - Spellpower Obt"] = "BoP mob drop from Bloodmaul Geomancers in Blade's Edge Mountains",
		["Enchant 2H Weapon - Major Agility Obt"] = "BoP Mob Drop: Eredar Deathbringer, The Arcatraz",
		["Enchant Boots - Surefooted Obt"] = "Karazhan: Enchanted Stagehands",
		["Enchant Weapon - Sunfire Obt"] = "Karazhan: Shade of Aran",
		["Enchant Weapon - Soulfrost Obt"] = "Karazhan: Illhoof",
		["Enchant Weapon - Mongoose Obt"] = "Karazhan: Moroes",

		-- Engineering Recipes
		["Rough Blasting Powder"] = true,
		["Rough Dynamite"] = true,
		["Crafted Light Shot"] = true,
		["Handful of Copper Bolts"] = true,
		["Rough Copper Bomb"] = true,
		["Copper Tube"] = true,
		["Rough Boomstick"] = true,
		["Arclight Spanner"] = true,
		["Crude Scope"] = true,
		["Copper Modulator"] = true,
		["Mechanical Squirrel"] = true,
		["Coarse Blasting Powder"] = true,
		["Crafted Heavy Shot"] = true,
		["Coarse Dynamite"] = true,
		["Target Dummy"] = true,
		["Silver Contact"] = true,
		["Small Seaforium Charge"] = true,
		["Flying Tiger Goggles"] = true,
		["Practice Lock"] = true,
		["EZ-Thro Dynamite"] = true,
		["Deadly Blunderbuss"] = true,
		["Large Copper Bomb"] = true,
		["Bronze Tube"] = true,
		["Standard Scope"] = true,
		["Lovingly Crafted Boomstick"] = true,
		["Shadow Goggles"] = true,
		["Small Bronze Bomb"] = true,
		["Whirring Bronze Gizmo"] = true,
		["Flame Deflector"] = true,
		["Heavy Blasting Powder"] = true,
		["Heavy Dynamite"] = true,
		["Crafted Solid Shot"] = true,
		["Gnomish Universal Remote"] = true,
		["Small Blue Rocket"] = true,
		["Small Green Rocket"] = true,
		["Small Red Rocket"] = true,
		["Silver-plated Shotgun"] = true,
		["Ornate Spyglass"] = true,
		["Big Bronze Bomb"] = true,
		["Minor Recombobulator"] = true,
		["Bronze Framework"] = true,
		["Moonsight Rifle"] = true,
		["Explosive Sheep"] = true,
		["Green Tinted Goggles"] = true,
		["Aquadynamic Fish Attractor"] = true,
		["Gold Power Core"] = true,
		["Red Firework"] = true,
		["Green Firework"] = true,
		["Blue Firework"] = true,
		["Ice Deflector"] = true,
		["Iron Strut"] = true,
		["Discombobulator Ray"] = true,
		["Portable Bronze Mortar"] = true,
		["Goblin Jumper Cables"] = true,
		["Gyrochronatom"] = true,
		["Iron Grenade"] = true,
		["Compact Harvest Reaper Kit"] = true,
		["Solid Blasting Powder"] = true,
		["Solid Dynamite"] = true,
		["Bright-Eye Goggles"] = true,
		["Gyromatic Micro-Adjustor"] = true,
		["Large Blue Rocket"] = true,
		["Large Green Rocket"] = true,
		["Large Red Rocket"] = true,
		["Accurate Scope"] = true,
		["Advanced Target Dummy"] = true,
		["Craftsman's Monocle"] = true,
		["Flash Bomb"] = true,
		["Big Iron Bomb"] = true,
		["SnowMaster 9000"] = true,
		["Goblin Land Mine"] = true,
		["Mithril Tube"] = true,
		["Mechanical Dragonling"] = true,
		["Gnomish Cloaking Device"] = true,
		["Large Seaforium Charge"] = true,
		["Unstable Trigger"] = true,
		["Mechanical Repair Kit"] = true,
		["EZ-Thro Dynamite II"] = true,
		["Fire Goggles"] = true,
		["Mithril Blunderbuss"] = true,
		["Hi-Impact Mithril Slugs"] = true,
		["Deadly Scope"] = true,
		["Mithril Casing"] = true,
		["Mithril Frag Bomb"] = true,
		["Catseye Ultra Goggles"] = true,
		["Mithril Heavy-bore Rifle"] = true,
		["Goblin Rocket Boots"] = true,
		["Spellpower Goggles Xtreme"] = true,
		["Parachute Cloak"] = true,
		["Blue Rocket Cluster"] = true,
		["Green Rocket Cluster"] = true,
		["Red Rocket Cluster"] = true,
		["Firework Launcher"] = true,
		["Deepdive Helmet"] = true,
		["Rose Colored Goggles"] = true,
		["Hi-Explosive Bomb"] = true,
		["Sniper Scope"] = true,
		["Mithril Gyro-Shot"] = true,
		["Green Lens"] = true,
		["Mithril Mechanical Dragonling"] = true,
		["Salt Shaker"] = true,
		["Dense Blasting Powder"] = true,
		["Dense Dynamite"] = true,
		["Snake Burst Firework"] = true,
		["Tranquil Mechanical Yeti"] = true,
		["Thorium Grenade"] = true,
		["Thorium Rifle"] = true,
		["Thorium Widget"] = true,
		["Truesilver Transformer"] = true,
		["Gyrofreeze Ice Reflector"] = true,
		["Lifelike Mechanical Toad"] = true,
		["Spellpower Goggles Xtreme Plus"] = true,
		["Dark Iron Rifle"] = true,
		["Masterwork Target Dummy"] = true,
		["Thorium Tube"] = true,
		["Major Recombobulator"] = true,
		["Powerful Seaforium Charge"] = true,
		["Large Blue Rocket Cluster"] = true,
		["Large Green Rocket Cluster"] = true,
		["Large Red Rocket Cluster"] = true,
		["Firework Cluster Launcher"] = true,
		["Steam Tonk Controller"] = true,
		["Delicate Arcanite Converter"] = true,
		["Dark Iron Bomb"] = true,
		["Thorium Shells"] = true,
		["Voice Amplification Modulator"] = true,
		["Master Engineer's Goggles"] = true,
		["Hyper-Radiant Flame Reflector"] = true,
		["Arcane Bomb"] = true,
		["Arcanite Dragonling"] = true,
		["Flawless Arcanite Rifle"] = true,
		["Field Repair Bot 74A"] = true,
		["Biznicks 247x128 Accurascope"] = true,
		["Core Marksman Rifle"] = true,
		["Force Reactive Disk"] = true,
		["Ultra-Flash Shadow Reflector"] = true,
		["Bloodvine Goggles"] = true,
		["Bloodvine Lens"] = true,
		["Inlaid Mithril Cylinder Plans"] = true,
		["Lil' Smoky"] = true,
		["Gnomish Shrink Ray"] = true,
		["Gnomish Goggles"] = true,
		["Gnomish Net-o-Matic Projector"] = true,
		["Gnomish Harm Prevention Belt"] = true,
		["Gnomish Rocket Boots"] = true,
		["Gnomish Battle Chicken"] = true,
		["Gnomish Mind Control Cap"] = true,
		["Gnomish Death Ray"] = true,
		["World Enlarger"] = true,
		["Ultrasafe Transporter - Gadgetzan"] = true,
		["Alarm-O-Bot"] = true,
		["Goblin Construction Helmet"] = true,
		["Goblin Mining Helmet"] = true,
		["Pet Bombling"] = true,
		["Goblin Mortar"] = true,
		["The Mortar: Reloaded"] = true,
		["Goblin Sapper Charge"] = true,
		["Goblin Rocket Boots"] = true,
		["Goblin Bomb Dispenser"] = true,
		["The Big One"] = true,
		["Goblin Rocket Helmet"] = true,
		["Dimensional Ripper - Everlook"] = true,
		["Goblin Jumper Cables XL"] = true,
		["Goblin Rocket Fuel Recipe"] = true,
		["Goblin Dragon Gun"] = true,

		-- Burning Crusade Recipes
		["Fel Iron Bomb"] = true,
		["Fel Iron Casing"] = true,
		["Elemental Blasting Powder"] = true,
		["Handful of Fel Iron Bolts"] = true,
		["Zapthrottle Mote Extractor"] = true,
		["Fel Iron Shells"] = true,
		["Fel Iron Musket"] = true,
		["Fel Iron Toolbox"] = true,
		["Gnomish Flame Turret"] = true,
		["Crashin' Thrashin' Robot"] = true,
		["Adamantite Frame"] = true,
		["The Bigger One"] = true,
		["Adamantite Grenade"] = true,
		["Healing Potion Injector"] = true,
		["Adamantite Scope"] = true,
		["White Smoke Flare"] = true,
		["Green Smoke Flare"] = true,
		["Adamantite Shells"] = true,
		["Purple Smoke Flare"] = true,
		["Super Sapper Charge"] = true,
		["Cogspinner Goggles"] = true,
		["Power Amplification Goggles"] = true,
		["Gnomish Poultryizer"] = true,
		["Mana Potion Injector"] = true,
		["Adamantite Rifle"] = true,
		["Goblin Rocket Launcher"] = true,
		["Ultra-Spectropic Detection Goggles"] = true,
		["Khorium Power Core"] = true,
		["Felsteel Stabilizer"] = true,
		["Hardened Adamantite Tube"] = true,
		["Dimensional Ripper - Area 52"] = true,
		["Ultrasafe Transporter - Toshley's Station"] = true,
		["Rocket Boots Xtreme"] = true,
		["Felsteel Boomstick"] = true,
		["Hyper-Vision Goggles"] = true,
		["Khorium Scope"] = true,
		["Foreman's Enchanted Helmet"] = true,
		["Foreman's Reinforced Helmet"] = true,
		["Gnomish Battle Goggles"] = true,
		["Gnomish Power Goggles"] = true,
		["Ornate Khorium Rifle"] = true,
		["Stabilized Eternium Scope"] = true,
		["Fused Wiring"] = true,
		["Frost Grenade"] = true,
		["Icy Blasting Primers"] = true,
		["Deathblow XII Goggles"] = true,
		["Destruction Holo-gogs"] = true,
		["Elemental Seaforium Charge"] = true,
		["Furious Gizmatic Goggles"] = true,
		["Nigh Invulnerability Belt"] = true,
		["Powerheal 4000 Lens"] = true,
		["Surestrike Goggles v2.0"] = true,
		["Tankatronic Goggles"] = true,
		["Wonderheal XT40 Shades"] = true,
		["Gyro-balanced Khorium Destroyer "] = true,

		-- Engineering Obtain Information
		["ENG_MEMBERSHIP_BENEFITS"] = "Quest Reward: Renewing Membership",
		["Flame Detector Obt"] = "BoE Mob Drop: Mekgineer Thermaplugg, Gnomeregan",
		["Discombobulator Ray Obt"] = "BoE Mob Drop: Mekgineer Thermaplugg, Gnomeregan",
		["Flash Bomb Obt"] = "Quest Reward: Flash Bomb Recipe",
		["Spellpower Goggles Xtreme Plus Obt"] = "BoE Mob Drop: Spitelash Siren, Azshara",
		["Dark Iron Rifle Obt"] = "BoE Mob Drop: Doomforge Craftsman, BRD",
		["Major Recombobulator Obt"] = "BoP Mob Drop: Gordok Tribute, King Gordok DM North",
		["Steam Tonk Controller Obt"] = "Quest Reward: 40 Tickets - Schematic: Steam Tonk Controller (Darkmoon Faire)",
		["Dark Iron Bomb Obt"] = "BoE Mob Drop: Weapon Technician, BRD",
		["Voice Amplification Modulator Obt"] = "BoE Mob Drop: Crimson Inquisitor, Stratholme",
		["Master Engineer's Goggles Obt"] = "BoE Mob Drop: Doomforge Arcanasmith, BRD",
		["Hyper-Radiant Flame Reflector Pbt"] = "BoE Mob Drop: Solakar Flamewreath, UBRS",
		["Arcanite Dragonling Obt"] = "BoE Mob Drop: Cobalt Mageweaver, Winterspring",
		["Flawless Arcanite Rifle Obt"] = "BoE Mob Drop: Mossflayer Shadowhunter, EPL",
		["Field Repair Bot 74A Obt"] = "BoP Mob Drop: Golem Lord Argelmach, BRD",
		["Ultra-Flash Shadow Reflector Obt"] = "BoE Mob Drop: Crimson Inquisitor, Stratholme",
		["World Enlarger Obt"] = "BoE Mob Drop: Weapon Technician, BRD",
		["Alarm-O-Bot Obt"] = "BoE Mob Drop: Weapon Technician, BRD",
		["Goblin Jumper Cables XL Obt"] = "BoE Mob Drop: Plugger Spazzring, BRF",
		["Zapthrottle Mote Extractor Obt"] = "Quest Reward Zapthrottle Mote Extractor!",
		["Rocket Boots Xtreme Obt"] = "BoP Mob Drop: Mekgineer Steamrigger,The Steamvault",
		["Felsteel Boomstick Obt"] = "BoP Mob Drop: Doomforge Engineer, Blade's Edge Mountains",
		["Hyper-Vision Goggles Obt"] = "BoP Mob Drop: Mo'arg Weaponsmiths, SMV",
		["Khorium Scope Obt"] = "BoP Mob Drop: Sunfury Bowman, Netherstorm",
		["Stabilized Eternium Scope Obt"] = "BoP Mob Drop: Attumen the Huntsman, Karazhan",	

		-- First Aid Recipes
		-- Original Game Recipes
		["Linen Bandage"] = true,
		["Heavy Linen Bandage"] = true,
		["Wool Bandage"] = true,
		["Anti-Venom"] = true,
		["Heavy Wool Bandage"] = true,
		["Strong Anti-Venom"] = true,
		["Silk Bandage"] = true,
		["Heavy Silk Bandage"] = true,
		["Mageweave Bandage"] = true,
		["Heavy Mageweave Bandage"] = true,
		["Runecloth Bandage"] = true,
		["Heavy Runecloth Bandage"] = true,
		["Powerful Anti-Venom"] = true,

		-- Burning Crusade Recipes
		["Netherweave Bandage"] = true,
		["Heavy Netherweave Bandage"] = true,

		-- First Aid Obtain Information
		-- Nothing here needed yet

		-- Leatherworking Recipes
		["Handstitched Leather Boots"] = true,
		["Light Armor Kit"] = true,
		["Light Leather"] = true,
		["Handstitched Leather Vest"] = true,
		["Handstitched Leather Cloak"] = true,
		["Handstitched Leather Bracers"] = true,
		["Handstitched Leather Pants"] = true,
		["Handstitched Leather Belt"] = true,
		["Light Leather Quiver"] = true,
		["Small Leather Ammo Pouch"] = true,
		["Cured Light Hide"] = true,
		["Rugged Leather Pants"] = true,
		["Kodo Hide Bag"] = true,
		["Embossed Leather Vest"] = true,
		["Embossed Leather Gloves"] = true,
		["Embossed Leather Boots"] = true,
		["Embossed Leather Cloak"] = true,
		["White Leather Jerkin"] = true,
		["Embossed Leather Pants"] = true,
		["Fine Leather Gloves"] = true,
		["Fine Leather Belt"] = true,
		["Fine Leather Cloak"] = true,
		["Fine Leather Tunic"] = true,
		["Murloc Scale Belt"] = true,
		["Deviate Scale Cloak"] = true,
		["Moonglow Vest"] = true,
		["Fine Leather Boots"] = true,
		["Light Leather Bracers"] = true,
		["Murloc Scale Breastplate"] = true,
		["Light Leather Pants"] = true,
		["Hillman's Leather Vest"] = true,
		["Cured Medium Hide"] = true,
		["Black Whelp Cloak"] = true,
		["Medium Leather"] = true,
		["Black Whelp Tunic"] = true,
		["Medium Armor Kit"] = true,
		["Dark Leather Boots"] = true,
		["Dark Leather Tunic"] = true,
		["Fine Leather Pants"] = true,
		["Deviate Scale Gloves"] = true,
		["Dark Leather Cloak"] = true,
		["Dark Leather Pants"] = true,
		["Deviate Scale Belt"] = true,
		["Dark Leather Gloves"] = true,
		["Hillman's Belt"] = true,
		["Red Whelp Gloves"] = true,
		["Nimble Leather Gloves"] = true,
		["Toughened Leather Armor"] = true,
		["Dark Leather Belt"] = true,
		["Fletcher's Gloves"] = true,
		["Hillman's Shoulders"] = true,
		["Toughened Leather Gloves"] = true,
		["Herbalist's Gloves"] = true,
		["Earthen Leather Shoulders"] = true,
		["Dark Leather Shoulders"] = true,
		["Pilferer's Gloves"] = true,
		["Hillman's Leather Gloves"] = true,
		["Heavy Earthen Gloves"] = true,
		["Hillman's Cloak"] = true,
		["Barbaric Gloves"] = true,
		["Cured Heavy Hide"] = true,
		["Heavy Armor Kit"] = true,
		["Heavy Quiver"] = true,
		["Heavy Leather Ammo Pouch"] = true,
		["Heavy Leather"] = true,
		["Heavy Leather Ball"] = true,
		["Green Leather Armor"] = true,
		["Barbaric Bracers"] = true,
		["Green Leather Belt"] = true,
		["Guardian Pants"] = true,
		["Raptor Hide Belt"] = true,
		["Raptor Hide Harness"] = true,
		["Dusky Leather Leggings"] = true,
		["Guardian Belt"] = true,
		["Thick Murloc Armor"] = true,
		["Barbaric Leggings"] = true,
		["Guardian Armor"] = true,
		["Barbaric Shoulders"] = true,
		["Dusky Leather Armor"] = true,
		["Green Whelp Armor"] = true,
		["Green Leather Bracers"] = true,
		["Frost Leather Cloak"] = true,
		["Gem-studded Leather Belt"] = true,
		["Guardian Cloak"] = true,
		["Dusky Bracers"] = true,
		["Barbaric Harness"] = true,
		["Murloc Scale Bracers"] = true,
		["Guardian Gloves"] = true,
		["Green Whelp Bracers"] = true,
		["Gloves of the Greatfather"] = true,
		["Guardian Leather Bracers"] = true,
		["Dusky Belt"] = true,
		["Barbaric Belt"] = true,
		["Dusky Boots"] = true,
		["Swift Boots"] = true,
		["Cured Thick Hide"] = true,
		["Thick Armor Kit"] = true,
		["Comfortable Leather Hat"] = true,
		["Thick Leather"] = true,
		["Shadowskin Gloves"] = true,
		["Nightscape Tunic"] = true,
		["Nightscape Headband"] = true,
		["Turtle Scale Gloves"] = true,
		["Turtle Scale Breastplate"] = true,
		["Nightscape Shoulders"] = true,
		["Turtle Scale Bracers"] = true,
		["Big Voodoo Robe"] = true,
		["Tough Scorpid Breastplate"] = true,
		["Wild Leather Shoulders"] = true,
		["Big Voodoo Mask"] = true,
		["Tough Scorpid Bracers"] = true,
		["Tough Scorpid Gloves"] = true,
		["Wild Leather Vest"] = true,
		["Wild Leather Helmet"] = true,
		["Quickdraw Quiver"] = true,
		["Thick Leather Ammo Pouch"] = true,
		["Nightscape Pants"] = true,
		["Turtle Scale Helm"] = true,
		["Tough Scorpid Boots"] = true,
		["Turtle Scale Leggings"] = true,
		["Nightscape Boots"] = true,
		["Big Voodoo Pants"] = true,
		["Big Voodoo Cloak"] = true,
		["Tough Scorpid Shoulders"] = true,
		["Wild Leather Boots"] = true,
		["Tough Scorpid Leggings"] = true,
		["Tough Scorpid Helm"] = true,
		["Wild Leather Leggings"] = true,
		["Wild Leather Cloak"] = true,
		["Cured Rugged Hide"] = true,
		["Rugged Armor Kit"] = true,
		["Rugged Leather"] = true,
		["Heavy Scorpid Bracers"] = true,
		["Wicked Leather Gauntlets"] = true,
		["Heavy Scorpid Vest"] = true,
		["Wicked Leather Bracers"] = true,
		["Runic Leather Gauntlets"] = true,
		["Heavy Scorpid Gauntlets"] = true,
		["Runic Leather Bracers"] = true,
		["Heavy Scorpid Belt"] = true,
		["Wicked Leather Headband"] = true,
		["Runic Leather Belt"] = true,
		["Heavy Scorpid Leggings"] = true,
		["Runic Leather Headband"] = true,
		["Wicked Leather Pants"] = true,
		["Might of the Timbermaw"] = true,
		["Dawn Treaders"] = true,
		["Heavy Scorpid Helm"] = true,
		["Runic Leather Pants"] = true,
		["Wicked Leather Belt"] = true,
		["Heavy Scorpid Shoulders"] = true,
		["Runic Leather Armor"] = true,
		["Wicked Leather Armor"] = true,
		["Runic Leather Shoulders"] = true,
		["Core Armor Kit"] = true,
		["Girdle of Insight"] = true,
		["Mongoose Boots"] = true,
		["Swift Flight Bracers"] = true,
		["Timbermaw Brawlers"] = true,
		["Golden Mantle of the Dawn"] = true,
		["Lava Belt"] = true,
		["Blood Tiger Breastplate"] = true,
		["Blood Tiger Shoulders"] = true,
		["Primal Batskin Bracers"] = true,
		["Primal Batskin Gloves"] = true,
		["Primal Batskin Jerkin"] = true,
		["Spitfire Bracers"] = true,
		["Spitfire Gauntlets"] = true,
		["Spitfire Breastplate"] = true,
		["Sandstalker Bracers"] = true,
		["Sandstalker Gauntlets"] = true,
		["Sandstalker Breastplate"] = true,
		["Onyxia Scale Cloak"] = true,
		["Gordok Ogre Suit"] = true,
		["Icy Scale Bracers"] = true,
		["Icy Scale Breastplate"] = true,
		["Icy Scale Gauntlets"] = true,
		["Polar Bracers"] = true,
		["Polar Gloves"] = true,
		["Polar Tunic"] = true,
		["Bramblewood Belt"] = true,
		["Bramblewood Boots"] = true,
		["Bramblewood Helm"] = true,
		["Green Dragonscale Gauntlets"] = true,
		["Dragonscale Gauntlets"] = true,
		["Dragonscale Breastplate"] = true,
		["Green Dragonscale Breastplate"] = true,
		["Green Dragonscale Leggings"] = true,
		["Blue Dragonscale Breastplate"] = true,
		["Black Dragonscale Breastplate"] = true,
		["Blue Dragonscale Shoulders"] = true,
		["Red Dragonscale Breastplate"] = true,
		["Black Dragonscale Leggings"] = true,
		["Black Dragonscale Shoulders"] = true,
		["Black Dragonscale Boots"] = true,
		["Chromatic Cloak"] = true,
		["Chromatic Gauntlets"] = true,
		["Blue Dragonscale Leggings"] = true,
		["Dreamscale Breastplate"] = true,
		["Gauntlets of the Sea"] = true,
		["Helm of Fire"] = true,
		["Volcanic Leggings"] = true,
		["Living Shoulders"] = true,
		["Stormshroud Pants"] = true,
		["Volcanic Breastplate"] = true,
		["Living Leggings"] = true,
		["Stormshroud Armor"] = true,
		["Stormshroud Shoulders"] = true,
		["Stormshroud Gloves"] = true,
		["Living Breastplate"] = true,
		["Volcanic Shoulders"] = true,
		["Molten Helm"] = true,
		["Shifting Cloak"] = true,
		["Molten Belt"] = true,
		["Wolfshead Helm"] = true,
		["Feathered Breastplate"] = true,
		["Chimeric Gloves"] = true,
		["Ironfeather Shoulders"] = true,
		["Chimeric Boots"] = true,
		["Frostsaber Boots"] = true,
		["Warbear Harness"] = true,
		["Chimeric Leggings"] = true,
		["Frostsaber Leggings"] = true,
		["Warbear Woolies"] = true,
		["Chimeric Vest"] = true,
		["Devilsaur Gauntlets"] = true,
		["Ironfeather Breastplate"] = true,
		["Frostsaber Gloves"] = true,
		["Corehound Boots"] = true,
		["Devilsaur Leggings"] = true,
		["Frostsaber Tunic"] = true,
		["Hide of the Wild"] = true,
		["Corehound Belt"] = true,

		-- Burning Crusade Recipes
		["Comfortable Insoles"] = true,
		["Felscale Gloves"] = true,
		["Knothide Armor Kit"] = true,
		["Knothide Leather"] = true,
		["Scaled Draenic Pants"] = true,
		["Thick Draenic Pants"] = true,
		["Wild Draenish Boots"] = true,
		["Felscale Boots"] = true,
		["Scaled Draenic Gloves"] = true,
		["Wild Draenish Gloves"] = true,
		["Thick Draenic Pants"] = true,
		["Felscale Pants"] = true,
		["Thick Draenic Boots"] = true,
		["Wild Draenish Leggings"] = true,
		["Heavy Knothide Leather"] = true,
		["Vindicator's Armor Kit"] = true,
		["Magister's Armor Kit"] = true,
		["Scaled Draenic Vest"] = true,
		["Reinforced Mining Bag"] = true,
		["Thick Draenic Vest"] = true,
		["Wild Draenish Vest"] = true,
		["Felscale Breastplate"] = true,
		["Scaled Draenic Boots"] = true,
		["Cobrahide Leg Armor"] = true,
		["Clefthide Leg Armor"] = true,
		["Fel Leather Gloves"] = true,
		["Netherfury Belt"] = true,
		["Netherfury Leggings"] = true,
		["Shadow Armor Kit"] = true,
		["Flame Armor Kit"] = true,
		["Nature Armor Kit"] = true,
		["Arcane Armor Kit"] = true,
		["Frost Armor Kit"] = true,
		["Drums of War"] = true,
		["Drums of Speed"] = true,
		["Riding Crop"] = true,
		["Stylin' Purple Hat"] = true,
		["Stylin' Adventure Hat"] = true,
		["Stylin' Jungle Hat"] = true,
		["Stylin' Crimson Hat"] = true,
		["Fel Leather Boots"] = true,
		["Fel Leather Leggings"] = true,
		["Felstalker Belt"] = true,
		["Netherfury Boots"] = true,
		["Enchanted Felscale Boots"] = true,
		["Enchanted Felscale Gloves"] = true,
		["Enchanted Felscale Leggings"] = true,
		["Flamescale Belt"] = true,
		["Flamescale Boots"] = true,
		["Flamescale Leggings"] = true,
		["Enchanted Clefthoof Boots"] = true,
		["Enchanted Clefthoof Gloves"] = true,
		["Enchanted Clefthoof Leggings"] = true,
		["Blastguard Belt"] = true,
		["Blastguard Boots"] = true,
		["Blastguard Pants"] = true,
		["Drums of Restoration"] = true,
		["Heavy Clefthoof Leggings"] = true,
		["Heavy Clefthoof Boots"] = true,
		["Heavy Clefthoof Vest"] = true,
		["Felstalker Bracer"] = true,
		["Felstalker Breastplate"] = true,
		["Drums of Battle"] = true,
		["Nethercobra Leg Armor"] = true,
		["Nethercleft Leg Armor"] = true,
		["Cobrascale Gloves"] = true,
		["Cobrascale Hood"] = true,
		["Earthen Netherscale Boots"] = true,
		["Gloves of the Living Touch"] = true,
		["Hood of Primal Life"] = true,
		["Living Dragonscale Helm"] = true,
		["Netherdrake Gloves"] = true,
		["Netherdrake Helm"] = true,
		["Thick Netherscale Breastplate"] = true,
		["Windslayer Wraps"] = true,
		["Windscale Hood"] = true,
		["Windstrike Gloves"] = true,
		["Drums of Panic"] = true,
		["Boots of Shackled Souls"] = true,
		["Bracers of Shackled Souls"] = true,
		["Cloak of Darkness Vendor"] = true,
		["Redeemed Soul Cinch"] = true,
		["Redeemed Soul Legguards"] = true,
		["Redeemed Soul Mocassins"] = true,
		["Redeemed Soul Wristguards"] = true,
		["Shadowprowler's Chestguard"] = true,
		["Waistguard of Shackled Souls"] = true,
		["Shoulders of Lightning Reflexes"] = true,
		["Hurricane Boots"] = true,
		["Monsoon Belt"] = true,
		["Belt of Deep Shadow"] = true,
		["Belt of Natural Power"] = true,
		["Belt of the Black Eagle"] = true,
		["Boots of Natural Grace"] = true,
		["Boots of the Crimson Hawk"] = true,
		["Boots of Utter Darkness"] = true,
		["Bracers of Renewed Life"] = true,
		["Swiftstrike Bracers"] = true,

		-- Dragonscale Leatherworking
		["Dragonstrike Leggings"] = true,
		["Golden Dragonstrike Breastplate"] = true,
		["Ebon Netherscale Belt"] = true,
		["Ebon Netherscale Bracers"] = true,
		["Ebon Netherscale Breastplate"] = true,
		["Netherstrike Belt"] = true,
		["Netherstrike Bracers"] = true,
		["Netherstrike Breastplate"] = true,

		-- Elemental Leatherworking
		["Blackstorm Leggings"] = true,
		["Primalstorm Breastplate"] = true,
		["Primalstrike Belt"] = true,
		["Primalstrike Bracers"] = true,
		["Primalstrike Vest"] = true,

		-- Tribal Leatherworking
		["Wildfeather Leggings"] = true,
		["Living Crystal Breastplate"] = true,
		["Windhawk Belt"] = true,
		["Windhawk Bracers"] = true,
		["Windhawk Hauberk"] = true,

		-- Leatheworking Obtain Information
		["Kodo Hide Bag Obt"] = "Quest Reward: Kodo Hide Bag",
		["Moonglow Vest Obt"] = "Quest Reward: Moonglow Vest",
		["Deviate Scale Belt Obt"] = "Quest Reward: Deviate Eradication",
		["Tough Scorpid Breastplate Obt"] = "BoE Mob Drop: Wastewander Bandit, Tanaris",
		["Wild Leather Shoulders Obt"] = "Quest Reward: Wild Leather Shoulders",
		["Tough Scorpid Bracers Obt"] = "BoE Mob Drop: Wastewander Shadow Mage, Tanaris",
		["Tough Scorpid Gloves Obt"] = "BoE Mob Drop: Wastewander Thief, Tanaris",
		["Wild Leather Vest Obt"] = "Quest Reward: Wild Leather Vest",
		["Wild Leather Helmet Obt"] = "Quest Reward: Wild Leather Helmet",
		["Tough Scorpid Boots Obt"] = "BoE Mob Drop: Wastewander Rogue, Tanaris",
		["Tough Scorpid Shoulders Obt"] = "BoE Mob Drop: Andre Firebeard, Wastewander Scofflaw, Tanaris",
		["Wild Leather Boots Obt"] = "Quest Reward: Wild Leather Boots",
		["Tough Scorpid Leggings Obt"] = "BoE Mob Drop: Wastewander Rogue, Tanaris",
		["Tough Scorpid Helm Obt"] = "BoE Mob Drop: Andre Firebeard, Wastewander Scofflaw, Tanaris",
		["Wild Leather Leggings Obt"] = "Quest Reward: Wild Leather Leggings",
		["Wild Leather Cloak Obt"] = "Quest Reward: Master of the Wild Leather",
		["Heavy Scorpid Vest Obt"] = "BoE Mob Drop: Portal Seeker, Blasted Lands",
		["Wicked Leather Bracers Obt"] = "BoE Mob Drop: Legashi Rogue, Azshara",
		["Runic Leather Bracers Obt"] = "BoE Mob Drop: Jaedenar Cultist, Felwood",
		["Wicked Leather Headband Obt"] = "BoE Mob Drop: Jadefire Trickster, Felwood",
		["Heavy Scorpid Leggings Obt"] = "BoE Mob Drop: Blackrock Slayer, Burning Steppes",
		["Wicked Leather Belt Obt"] = "BoE Mob Drop: Ghoul Ravener, Stratholme",
		["Heavy Scorpid Shoulders Obt"] = "BoE Mob Drop: Blackrock Battlemaster, Burning Steppes",
		["Runic Leather Armor Obt"] = "BoE Mob Drop: Scholomance Dark Summoner, Scholomance",
		["Wicked Leather Armor Obt"] = "BoE Mob Drop: Spectral Researcher, Scholomance",
		["Runic Leather Shoulders Obt"] = "BoE Mob Drop: Crimson Battle Mage, Stratholme",
		["Onyxia Scale Cloak Obt"] = "Quest Reward: The Journey Has Just Begun after turning in Head of Onyxia",
		["Gordok Ogre Suit Obt"] = "Quest Reward: The Gordok Ogre Suit",
		["Green Dragonscale Leggings Obt"] = "BoE Mob Drop: Murk Worm, ST",
		["Blue Dragonscale Shoulders Obt"] = "BoE Mob Drop: Cliff Breaker, Azshara",
		["Red Dragonscale Breastplate Obt"] = "BoE Mob Drop: General Drakkisath, UBRS",
		["Black Dragonscale Leggings Obt"] = "BoE Mob Drop: Anvilrage Captain, BRD",
		["Black Dragonscale Shoulders Obt"] = "BoE Mob Drop : Anvilrage Captain, BRD",
		["Volcanic Leggings Obt"] = "BoE Mob Drop: Firegut Brute, Burning Steppes",
		["Volcanic Breastplate Obt"] = "BoE Mob Drop: Firebrand Grunt, LBRS",
		["Living Leggings Obt"] = "BoE Mob Drop: Deadwood Shaman, Felwood",
		["Stormshroud Armor Obt"] = "BoE Mob Drop: Arkkoran Oracle, Azshara",
		["Stormshroud Shoulders Obt"] = "BoE Son or Arkkorocm Azshara",
		["Stormshroud Gloves Obt"] = "BoE Mob Drop: The Windreaver, Silithus, Princess Tempestria, Winterspring",
		["Living Breastplate Obt"] = "BoE Mob Drop: Decaying Horror, WePL",
		["Volcanic Shoulders Obt"] = "BoE Mob Drop: Firebrand Legionnaire, LBRS",
		["Frostsaber Leggings Obt"] = "BoE Mob Drop: Winterfall Den Watcher, Winterspring",
		["Ironfeather Breastplate Obt"] = "BoE Mob Drop: Vilebranch Hideskinner, The Hinterlands",
		["Frostsaber Gloves Obt"] = "BoE Mob Drop: Winterfall Totemic, Winterspring",
		["Devilsaur Leggings Obt"] = "BoE Mob Drop: Cloned Ooze, Muculent Ooze, Ungoro Crater",
		["Frostsaber Tunic Obt"] = "BoE Mob Drop: Winterfall Ursa, Winterspring",
		["Shadow Armor Kit Obt"] = "BoP Mob Drop: Time-Lost Shadowmages, Sethekk Halls",
		["Flame Armor Kit Obt"] = "BoP Mob Drop: Gargantuan Abyssals, The Arcatraz",
		["Nature Armor Kit Obt"] = "BoP Mob Drop: Mennu the Betrayer, The Slave Pens",
		["Arcane Armor Kit Obt"] = "BoP Mob Drop: Chrono Lord Deja, The Black Morass",
		["Frost Armor Kit Obt"] = "BoP Mob Drop: Hydromancer Thespia, The Steamvault",
		["Stylin' Purple Hat Obt"] = "BoP Mob Drop: Blackheart the Inciter, Shadow Labyrinth",
		["Stylin' Adventure Hat Obt"] = "BoP Mob Drop: Durnholde Riflemen, Old Hillsbrad Foothills",
		["Stylin' Jungle Hat Obt"] = "BoP Mob Drop: Rift Lords, Rift Keepers, The Black Morass",
		["Stylin' Crimson Hat Obt"] = "BoP Mob Drop: Sethekk Ravenguard, Sethekk Halls",

		-- Smelting Recipes
		-- Original Game Recipes
		["Smelt Copper"] = true,
		["Smelt Tin"] = true,
		["Smelt Bronze"] = true,
		["Smelt Silver"] = true,
		["Smelt Iron"] = true,
		["Smelt Gold"] = true,
		["Smelt Steel"] = true,
		["Smelt Mithril"] = true,
		["Smelt Dark Iron"] = true,
		["Smelt Truesilver"] = true,
		["Smelt Thorium"] = true,
		["Smelt Elementium"] = true,

		-- Burning Crusade Recipes
		["Fire Sunder"] = true,
		["Earth Shatter"] = true,
		["Smelt Fel Iron"] = true,
		["Smelt Adamantite"] = true,
		["Smelt Felsteel"] = true,
		["Smelt Eternium"] = true,
		["Smelt Khorium"] = true,
		["Smelt Hardened Adamantite"] = true,

		-- Smelting Obtain Information
		["Dark Iron Obt"] = "Quest Reward: BRD, which requires 20 Gold Bars, 2 Star Rubies, and 10 Truesilver Bars to BRD.  Talk to Gloom'Rel, who is one of the undead in the Summoner's Tomb.",
		["Elementium Obt"] = "Mind control Krixix in BWL.  On the pet bar there will be an option to train this ability for yourself and others.",

		-- Rogue Poison Recipes
		["Crippling Poison"] = true,
		["Crippling Poison II"] = true,
		["Mind-numbing Poison"] = true,
		["Mind-numbing Poison II"] = true,
		["Mind-numbing Poison III"] = true,
		["Instant Poison"] = true,
		["Instant Poison II"] = true,
		["Instant Poison III"] = true,
		["Instant Poison IV"] = true,
		["Instant Poison V"] = true,
		["Instant Poison VI"] = true,
		["Deadly Poison"] = true,
		["Deadly Poison II"] = true,
		["Deadly Poison III"] = true,
		["Deadly Poison IV"] = true,
		["Deadly Poison V"] = true,
		["Wound Poison"] = true,
		["Wound Poison II"] = true,
		["Wound Poison III"] = true,
		["Wound Poison IV"] = true,
		["Blinding Powder"] = true,

		-- Rogue Poison Obtain Information
		-- Nothing here needed yet

		-- Tailoring Recipes
		
		-- Tailoring Obtain Information
	}

end)